---
{"dg-publish":true,"permalink":"/bookmarks/fantasy/how-magic-works-in-harry-potter/","tags":["books","explanation","literature"]}
---


[How Does Magic in the Harry Potter Universe Work? A Guide To The Wizarding World](https://www.bustle.com/articles/163346-how-does-magic-in-the-harry-potter-universe-work-a-guide-to-the-wizarding-world)

[bustle.com](https://www.bustle.com/articles/163346-how-does-magic-in-the-harry-potter-universe-work-a-guide-to-the-wizarding-world)

# How Does Magic in the Harry Potter Universe Work? A Guide To The Wizarding World

7–9 minutes

---

Going to Hogwarts and learning everything about magic is the [ultimate dream for any Harry Potter lover.](https://www.bustle.com/articles/148795-15-ways-harry-potter-gave-you-unrealistic-expectations-for-life) We're all just secretly hoping that one of these days Hagrid will come knock down our door and whisk us away to the Wizarding World. Even though I've yet to receive my Hogwarts letter, I'm complete nerd for all the technical aspects of wizardry.

So, what is magic, anyway? [Harry Potter Wiki](http://harrypotter.wikia.com/wiki/Magic) defines magic as "a supernatural force that can alter the fabric of reality at fundamental levels," which is a really great description. On a physics level, magic often acts a source of energy, often achieving work on behalf of the user.

Every fantasy series has its own set of rules and situations for magic. In Harry Potter, magic typically comes from within the wizard or witch themself, as opposed to, say, from the burning of elements or the summoning of demons. This is why the distinction between Muggles and wizards exists: a Muggle can perform all the motions of a spell, but nothing will happen.

Magic in Harry Potter is used in many different ways, from spellwork to potions. A lot of the way J.K. Rowling has structured her magic is based on classic legends and stories surrounding witchcraft and wizardry, with tropes like flying broomsticks, cauldrons, magic wands, and more tied directly into Harry Potter's magic. Even with all of these different influences, the functionality of magic all has a very cohesive logic to it.

Here, you'll find a guide to how magic functions in the Harry Potter universe. Even if you can't get that Hogwarts education you deserve, this is a great start for any aspiring witch or wizard:

### 1. The Magic Gene

Magic exists in the DNA of every wizard. Every person who has the magic gene has access to magic, so going to school is not about finding magic, but rather, about learning how to control it. You can't learn how to have magic, and you can't suppress your magical abilities. For wizards, magic is a dominant gene whereas for Muggles, magic is a recessive gene. That's why wizards will pop up in [Muggle families](https://www.bustle.com/articles/121704-jk-rowling-announces-no-maj-as-the-american-version-of-muggle-we-cannot-deal), and Squibs will occasionally be born into wizarding families.

### 2. Wands

Every wizard we see in the modern era uses [wands](https://www.bustle.com/articles/158139-11-diy-harry-potter-gifts-any-witch-or-wizard-will-love). Rowling says:

> Wands channel magic so as to make its effects both more precise and more powerful, although it is generally held to be a mark of the very greatest witches and wizards that they have also been able to produce wandless magic of a very high quality.

Of course, we see plenty of wandless magic in the books too: think of Harry blowing up Aunt Marge and all the strange magical events around him before he found out he was a wizard. There are also many magical creatures that employ powerful magic without the use of a wand. House elves, for example, are able to do astounding magical acts without wands, as the Trio realizes and utilizes throughout the books. Hermione would likely argue against the stigma that only humans may use wands, as it has created a power structure in which non-humans are systemically marginalized.

### 3. Spells

The basic act of casting a spell is to point your wand in the desired direction and say an incantation. As we learn in the famous "[Wingardium Leviosa" Charms lesson](https://www.bustle.com/articles/139757-the-worlds-favorite-harry-potter-spell-will-have-you-reaching-for-your-wand), the way in which you point your wand (swish and flick!) and the manner in which you pronounce the spell can achieve different results. As a wizard or witch becomes more prolific, they get to the point where they are able to perform magic without saying the spell out loud (though, we see that Harry thinks the word for his desired spell). Another thing to note is that all of the spells in the series are based in Latin, and they are often simple calls to what the spell does. (i.e. _lumos_ means light, and when used as a spell, it creates light). If you're the artsy type, Pottermore has a section of [profiles for common spells](https://www.pottermore.com/collection/spells-and-charms), with beautiful illustrations and quotes from the book. But if you want to get a fuller appreciation for all the spells out there, check out this [full list of Harry Potter spells](http://harrypotter.wikia.com/wiki/List_of_spells).

### 4. Potions

As we learn through the many painful lessons in Snape's dungeon, potions generally involve two aspects: the combination of ingredients and the proper use of a spell. The way in which ingredients are prepped and the order in which the ingredients are added are vitally important. For instance, in [_Harry Potter and the Prisoner of Azkaban_](http://www.amazon.com/gp/product/0439136369?ie=UTF8&camp=1789&creativeASIN=0439136369&linkCode=xm2&tag=bustle-20) , when Ron is forced to give Malfoy his precisely minced daisy roots and use the poorly chopped roots in his own potion, we see that it makes a huge difference.

### 5. Magical Objects

When objects hold magic within them, they are able to do very strange things, indeed. Many [magical objects](https://en.wikipedia.org/wiki/Magical_objects_in_Harry_Potter) are created when a wizard places a spell on them, though the charmwork for this is often quite complex and takes a great deal of skill. For instance, there is a simple spell to turn an ordinary object into a Portkey, but the process for creating a Horcrux is much more intense. A great example of this is when we see Professor Flitwick teaching the Christmas decorations to do different effects. Wizards are hired to do spellcasting on items sold in stores, such as broomsticks and special quills. But the creation of rare objects like [The Mirror of Erised](https://www.bustle.com/articles/117002-15-most-cry-worthy-moments-of-harry-potter-ranked) is harder to pinpoint, so one must be very careful as interacting with an object of unknown origins can be very dangerous. As Mr. Weasley says, “Never trust anything that can think for itself if you can’t see where it keeps its brain.”

### 6. Willpower

A lot of magic's effectiveness comes from the level of intent from the user. For instance, in _Harry Potter and the Order of the Phoenix,_ Harry is unable to perform the [Cruciatus Curse](https://www.bustle.com/articles/119051-17-harry-potter-spells-ranked) on Bellatrix Lestrange because his willpower toward causing her pain isn't strong enough. Conversely, when 10-year-old Harry is trying to get away from Dudley and his cronies, his willpower is so great that he unintentionally sends himself to the roof of the school.

### 7. Emotion and Control

All wizards are inherently able to do magic. Going to Hogwarts (or the wizarding school of their choice) teaches them how to control their magic. When we see wizards lose control, it is often tied to great emotion. For instance, when Harry blows up Aunt Marge, it's because he's enraged by her comments about his father.

### 8. Practice

So how does one become "skilled" at magic? Well, practice makes perfect. It's the same with magic, though probably to a greater degree. Natural talent only gets you so far. You have to take the time to learn each spell and understand how it feels to complete it properly.

### 9. Electricity and Energy

Magic interferes with electricity to the degree that electrical items are unable to work in the wizarding world. (That's why you never see Harry doing his homework on a computer or watching TV in the common room.) Sometimes Muggle items are able to substitute the energy of magic for electricity, such as [Arthur Weasley's car](https://www.bustle.com/articles/151792-12-lessons-we-learned-from-parents-in-harry-potter-the-good-and-the-bad) or Colin Creevey's camera. This quality ties into the energy-properties of magic.

_Images: Warner Bros. Pictures_
