---
{"dg-publish":true,"permalink":"/bookmarks/health-mind-and-so-on/inversion-thinking/","tags":["blog","wiki","wikipedia"]}
---


## [Inversion - Mental Model - by Michał Poczwardowski](https://read.perspectiveship.com/p/inversion)

In this article I present a tool to quickly change your perspective - inversion.

See also [[Bookmarks/Health, Mind and so on/Second-Order Thinking\|Second-Order Thinking]]
Part of [[Bookmarks/Health, Mind and so on/Mental Models General Intro\|Mental Models General Intro]]

Right after the pandemic hit in 2020, our technical team's morale was at an all time low. Back then, we still did not know what to expect from the economy and life was filled with uncertainty.

I organised a workshop with our leaders on possible initiatives that we can implement internally. I started the workshop by stating that: ==_Today, we are going to look for any ideas on how to make our developers **unmotivated** and **unhappy** at work._==

Imagine the look on their faces after hearing this rather surprising goal. To address the puzzled looks on their faces I began to explain the mental model called inversion.

**To apply inversion, we invert the problem to look at the opposite perspective.** This is valuable because we can list all the things that we should avoid.

It is remarkable how much long-term advantage people like us have gotten by trying to be consistently not stupid, instead of trying to be very intelligent.

— [Charlie Munger](https://en.wikipedia.org/wiki/Charlie_Munger)

==Avoiding obvious mistakes is more important than seeking perfection.==

Inversion shows us an interesting perspective on what we should avoid. Sometimes we need this shift, to help us make better decisions. When done in groups it helps us align with each other to address a cognitive bias called [course of knowledge](https://en.wikipedia.org/wiki/Curse_of_knowledge), where we assume that all of us share the same background and understanding, which is not always true.

For the workshop I ran for our leadership team we used a framework of Quiet Idea Generation:

The results were great. We listed everything that we should avoid, like blocking a team's growth opportunities or preventing them forming their own initiatives, among many others. Various positive initiatives were born that day that helped us with team morale.

Here are more examples of inversion:

- Instead of thinking of how to make money, think of how to lose money.

- Instead of thinking of how to keep users engaged, think of how to push them away.

- Instead of thinking of how to get stronger, think of how to get weaker.

By collecting your responses to reversed problems, you learn what to avoid to accomplish your goals. It acts as a supplement to your decision-making process.

==The most natural style of thinking is [forward thinking](https://dictionary.cambridge.org/dictionary/english/forward-thinking) - we jump to possible solutions and ideas on how to solve a given problem. We plan our actions, thinking about what to do next.==

==Thanks to inversion we can see the problem from a different angle which helps us avoid stupidity.== 

I hope that you will adopt inversion as part of your decision-making process to prevent many mistakes.

Thanks for reading!

Michał

[Share](https://read.perspectiveship.com/p/inversion?utm_source=substack&utm_medium=email&utm_content=share&action=share)

PS My interest in mental models has been growing over the years thanks to [Farnam Street](https://fs.blog). Their podcast, The Knowledge Project, and their books. [Inversion](https://fs.blog/inversion) was one of the first mental models I put into regular practice.
