---
{"dg-publish":true,"permalink":"/bookmarks/health-mind-and-so-on/minimal-desk-setup-by-kristen-radtke/","tags":["aesthetics","interesting","minimalism","productivity"]}
---


# What’s on your desk, Kristen Radtke?

Also see [[Bookmarks/Booknotes/Summaries & Bits/Digital Minimalism - Choosing a Focused Life in a Noisy World\|Digital Minimalism - Choosing a Focused Life in a Noisy World]]

 Summary

Kristen Radtke, The Verge’s creative director, shares her home office, showcasing a handmade desk, sentimental art, and a comfortable couch. The space is designed to be dreamy and functional, with a focus on maximizing space and incorporating personal touches. Radtke also highlights her favorite tech devices, including a MacBook Air and a Wacom Cintiq drawing tablet.

​

## A handmade desk in an office painted a color called ‘Little Piggy.’

[Barbara Krasnoff](safari-reader://www.theverge.com/authors/barbara-krasnoff)Oct 31, 2024 at 2:30 PM GMT+1

![_resources/Minimal Desk Setup by Kristen Radtke/4f76d1462b5bb02057af69367b53aeb3_MD5.jpg](/img/user/_resources/Minimal%20Desk%20Setup%20by%20Kristen%20Radtke/4f76d1462b5bb02057af69367b53aeb3_MD5.jpg)

Pink home office with door to outside at far end, desk and couch on right side, photos on wall at left.

Kristen Radtke is *The Verge*’s creative director; she works with the art team to create the visuals for stories and custom features. “Before this,” she explains, “I was art director for the small arts and culture magazine *The Believer*, and in a previous life, I worked in independent book publishing.”

We asked her to show us her home office, and she graciously obliged.

_Furnishing such a narrow space was a real challenge._

**That looks like a really well organized space — a little narrow, but the space is used really well.**

The room is quite narrow — a little under seven feet — so furnishing it in a functional way was a fun challenge. I really like working within the limitations of a small space, figuring out how maximalist I can go without overwhelming a room.

**Is that your backyard we see through the door?**

It is! I love being able to pop outside for quick breaks from work, and having the door open on temperate days is a serious mood booster.

**Could you tell us a bit about the desk itself?**

I like having an L-shaped desk so that I can pivot back and forth between two work surfaces. This desk was made for me by my dad and husband out of plywood while my parents were visiting, right after our baby was born last year. Because the space is so small, I really wanted to use every inch I could, so we took meticulous measurements and built it in place exactly to size. I like that the desk also serves as a kind of room divider, creating a distinction between work and lounge space.

This chair is supposed to help with your posture; you sort of kneel on it while sitting back. I found it on [AptDeco](https://www.aptdeco.com/) and have no idea what it’s called. I use it properly about half the time, but sometimes I catch myself sitting cross-legged or with my feet up on it. *[Editor’s note: I believe it’s called a kneeling chair; I had one several years ago, and yes, I ended up using it as a seat with a footrest.]* I thought I’d miss being able to lean back, but I really don’t, and I can always move over to the couch if I want to lounge for a bit.

_The desk is home-made; the chair is supposed to help with posture._

_An innovative way to handle an overload of books._

**Tell us about the various tech devices you’re using. (And please be specific about the model, etc.)**

I have a MacBook Pro for work, but I hate it and never use it. It gets so hot, the fan is so loud, and the battery life is atrocious. I’m an evangelist for the MacBook Air, which I always thought wouldn’t be powerful enough for me as a designer, but with the [16GB model from 2021](https://www.theverge.com/21569603/apple-macbook-air-m1-review-price-specs-features-arm-silicon), I can use the whole Adobe Suite at once without any stalling. I’ve never been a person who wants multiple monitors; once I got used to my 13-inch screen, I was fine with it, and I hate the visual clutter of a bunch of extra monitors.

For drawing, I use a [Wacom Cintiq 22](https://www.theverge.com/2019/7/18/20690999/wacom-cintiq-22-pen-tablet) drawing tablet with a 21.5-inch screen. Sometimes the connection is a little glitchy and I get some screen static, but I haven’t found anything better. When I’m traveling or not in my home office, I draw on an [iPad Pro](https://www.theverge.com/24155440/apple-ipad-pro-2024-review).

[![_resources/Minimal Desk Setup by Kristen Radtke/7c0468a65b11fa22737726364a0ece63_MD5.gif](/img/user/_resources/Minimal%20Desk%20Setup%20by%20Kristen%20Radtke/7c0468a65b11fa22737726364a0ece63_MD5.gif)](https://www.amazon.com/Wacom-Drawing-Graphic-Pressure-Levels-DTK2260K0A/dp/B07TR7YQ8Y/ref=as_li_ss_tl?tag=theverge02-20&ascsubtag=__vg1116awT__24041848__nPhirj________________)

$1300

A 22-inch creative pen display. 

**I love the bookcase in the closet!**

Thank you! Because the room is so small, I couldn’t fit a couch and desk in there and still have a closet door that opened, so I just took it off. Most of my books aren’t stored in my office simply due to lack of space — we’re always hauling books from one room to the other and offloading copies onto friends and into Little Free Libraries — so I try to keep my office just for books I want to return or refer to. This closet is reserved for graphic novels.

**And you also have shelves for books above your desk. And I noticed that some of those books have your name on them.**

I’m terrible at keeping my books organized — I used to alphabetize but gave up after my last move. It’s so tedious! After a while, I have a rough visual memory of where things are. The books above my desk are mostly those I’m using for research for a current project. I also have a (nearly) complete set of [_The Believer_](https://www.thebeliever.net/)back issues, though my husband and I have been toying with the idea of combining our magazine archive into one periodical shelf in the living room.

And yes! I write and draw books in my life outside of *The Verge*. My last one was called *Seek You: A Journey Through American Loneliness*, and I’m currently a couple of years overdue on a book about gossip, secrets, and talk (apologies to my editor!).

**Tell us about the collection of art you have on the wall opposite your desk.**

Most of the art I have hanging in my office is somewhat sentimental: the first paragraph I ever typeset and letterpressed in graduate school; a funny quote from a review of my last book needlepointed by my friend; broadsides from some of my favorite cartoonists. I never get things professionally framed — it’s just so expensive! I love [Framed and Matted](https://framedandmatted.com/) and [Frame It Easy](https://www.frameiteasy.com/?utm_source=google&utm_medium=cpc&utm_campaign=1043530730&utm_term=frame+it+easy&utm_content=621364131076&gad_source=1&gclid=Cj0KCQjwmt24BhDPARIsAJFYKk2zXzf8X-2n-SckDDd4iCo06K0ImQh8KFXu_zTNIa-AgmhPaTvPc60aAkckEALw_wcB&fastrID=wf_faq); there’s a much lower bar for entry than going to a frame shop, and it gives me room to play around with color and chunky mats.

**That’s a really comfortable-looking couch!**

It’s surprisingly comfortable! It was a brandless cheapy that I got for under $400, also on AptDeco. I like that the chaise lifts up to store a blanket and extra pillow. It folds down into a (rather uncomfortable) full-size bed, and I add a memory foam topper to make it tolerable when I need an extra sleeping space for guests.

**Anything else we didn’t cover that you’d like to add?**

I wanted my office to be a really dreamy space because I spend so much time there, both for *The Verge* and because of my creative work outside of it. I picked colors that feel very private that I wouldn’t use in shared spaces: a powder pink by Benjamin Moore called “[Little Piggy](https://go.skimresources.com/?id=1025X1701640&xs=1&url=https%3A%2F%2Fwww.benjaminmoore.com%2Fen-us%2Fpaint-colors%2Fcolor%2F2008-60%2Flittle-piggy&xcust=__vg1116awT__24041848__________________),” and I wallpapered the outlets with prints from [Spoonflower](https://go.skimresources.com/?id=1025X1701640&xs=1&url=https%3A%2F%2Fwww.spoonflower.com%2F&xcust=__vg1116awT__24041848__________________), a textile company that I love. 

The lamp was Kristen’s grandmother’s, who had it custom-made.

_Most of the art has sentimental value._

I also put some of my favorite heirlooms in the room, and the most prized is the lamp next to my couch. It was my grandmother’s, from the house I grew up visiting before she moved into assisted living. She had it custom-made to match her palm tree-themed living room in northern Wisconsin, and there is a lot to unpack here: a tropical island scene is designed within the lampshade, which is itself constructed in the shape of a tree, though it’s very notably *not* a palm tree. It makes no sense, and it’s perfect.
