---
{"dg-publish":true,"permalink":"/bookmarks/health-mind-and-so-on/munger-operating-system/","tags":["bias","ideas","lifehack","mind","technique"]}
---


# [The Munger Operating System: A Life That Works](https://fs.blog/munger-operating-system/)

In 2007, Charlie Munger gave [the commencement address](https://www.youtube.com/watch?v=jY1eNlL6NKs) at USC Law School, opening his speech by saying, *“Well, no doubt many of you are wondering why the speaker is so old. Well, the answer is obvious: He hasn’t died yet.”*

Fortunately for us, Munger has kept on ticking. The commencement speech is an excellent response to the Big Question: *How do we live a life that really works?* It has so many of Munger’s core ideas that we think the speech represents the **Munger Operating System** for life.

# The Munger Operating System: A Life That Works

In 2007, Charlie Munger gave the commencement address at USC School, opening his speech by saying, “Well, no doubt many of you are wondering why the speaker is so old. Well, the answer is obvious: He hasn’t died yet.”
Fortunately for us, Munger has kept on ticking. The commencement speech is an excellent response to the Big Question: How do we live a life that really works It has so many of Munger’s core ideas that we think the speech represents the Munger Operating System for life.

---

\*\*\*

To get what you want, deserve what you want. Trust, success, and admiration are earned. 

> It’s such a simple idea. It’s the golden rule so to speak: You want to deliver to the world what you would buy if you were on the other end. There is no ethos, in my opinion, that is better for any lawyer or any other person to have. By and large the people who have this ethos win in life and they don’t win just money, not just honors. They win the respect, the deserved trust of the people they deal with, and there is huge pleasure in life to be obtained from getting deserved trust.

Learn to love and admire the right people, alive or dead.

> A second idea that I got very early was that there is no love that’s so right as admiration-based love, and that love should include the instructive dead. Somehow, I got that idea and I lived with it all my life; and it’s been very, very useful to me.

Acquiring wisdom is a moral duty as well as a practical one. 

> And there’s a corollary to that proposition which is very important. It means that you’re hooked for lifetime learning, and without lifetime learning you people are not going to do very well. You are not going to get very far in life based on what you already know. You’re going to advance in life by what you’re going to learn after you leave here…if civilization can progress only when it invents the method of invention, you can progress only when you learn the method of learning.

Attain fluency on [the big multidisciplinary ideas](https://fs.blog/mental-models/) of the world and use them regularly. 

> What I noted since the really big ideas carry 95% of the freight, it wasn’t at all hard for me to pick up all the big ideas from all the big disciplines and make them a standard part of my mental routines. Once you have the ideas, of course, they are no good if you don’t practice — if you don’t practice you lose it.
>
> So I went through life constantly practicing this model of the multidisciplinary approach. Well, I can’t _tell_ you what that’s done for me. It’s made life more fun, it’s made me more constructive, it’s made me more helpful to others, it’s made me enormously rich, you name it, that attitude really helps.
>
> Now there are dangers there, because it works so well, that if you do it, you will frequently find you are sitting in the presence of some other expert, maybe even an expert that’s superior to you, supervising you. And you will know more than he does about his own specialty, a lot more. You will see the correct answer when he’s missed it.
>
> […]
>
> It doesn’t help you just to know them enough just so you can give them back on an exam and get an A. You have to learn these things in such a way that they’re in a mental latticework in your head and you automatically use them for the rest of your life.

Learn to think through problems [backwards](https://fs.blog/charlie-munger-thinking-backward-forward/) as well as forward.

> The way complex adaptive systems work and the way mental constructs work, problems frequently get easier and I would even say usually _are_ easier to solve if you turn around in reverse.
>
> In other words if you want to help India, the question you should ask is not “how can I help India?”, you think “what’s doing the worst damage in India? What would automatically do the worst damage and how do I avoid it?” (See [[Bookmarks/Health, Mind and so on/Second-Order Thinking\|Second-Order Thinking]]) You’d think they are logically the same thing, but they’re not. Those of you who have mastered algebra know that inversion frequently will solve problems which nothing else will solve. And in life, unless you’re more gifted than Einstein, inversion will help you solve problems that you can’t solve in other ways.

Be reliable. Unreliability can cancel out the other virtues.

> If you’re unreliable it doesn’t matter what your virtues are, you’re going to crater immediately. So doing what you have faithfully engaged to do should be an automatic part of your conduct. You want to avoid sloth and unreliability.

Avoid intense ideologies. Always [consider the other side](https://fs.blog/the-work-required-to-have-an-opinion/) as carefully as your own.

> Another thing I think should be avoided is extremely intense ideology, because it cabbages up one’s mind. You’ve seen that. You see a lot of it on TV, you know preachers for instance, they’ve all got different ideas about theology and a lot of them have minds that are made of cabbage.
>
> But that can happen with political ideology. And if you’re young it’s easy to drift into loyalties and when you announce that you’re a loyal member and you start shouting the orthodox ideology out what you’re doing is pounding it in, pounding it in, and you’re gradually ruining your mind. So you want to be very careful with this ideology. It’s a big danger.
>
> In my mind I have a little example I use whenever I think about ideology, and it’s these Scandinavian canoeists who succeeded in taming all the rapids of Scandinavia and they thought they would tackle the whirlpools in the Grand Rapids here in the United States. The death rate was 100%. A big whirlpool is not something you want to go into and I think the same is true about a really deep ideology.
>
> ==I have what I call an iron prescription that helps me keep sane when I naturally drift toward preferring one ideology over another. And that is I say “I’m not entitled to have an opinion on this subject unless I can state the arguments against my position better than the people do who are supporting it. I think that only when I reach that stage am I qualified to speak.”== Now you can say that’s too much of an iron discipline..it’s not too much of an iron discipline. It’s not even that hard to do.

Get rid of self-serving bias, envy, resentment, and self-pity. 

> Generally speaking, envy, resentment, revenge and self pity are disastrous modes of thought. Self-pity gets pretty close to paranoia, and paranoia is one of the very hardest things to reverse. You do not want to drift into self-pity.
>
> I have a friend who carried a big stack of index cards about this thick, and when somebody would make a comment that reflected self pity, he would take out one of the cards, take the top one off the stack and hand it to the person, and the card said, “Your story has touched my heart, never have I heard of anyone with as many misfortunes as you”. Well, you can say that’s waggery, but I suggest that every time you find you’re drifting into self pity, ==I don’t care what the cause — your child could be dying of cancer — self-pity is not going to improve the situation==. Just give yourself one of those cards.
>
> It’s a ridiculous way to behave, and when you avoid it you get a great advantage over everybody else, almost everybody else, because self-pity is a standard condition and yet you can train yourself out of it.
>
> And of course self-serving bias, you want to get that out of yourself; thinking that what’s good for you is good for the wider civilization and rationalizing all these ridiculous conclusions based on the subconscious tendency to serve one’s self.

At the same time, allow for the self-serving bias in others who haven’t removed it.

> ==You also have to allow for the self serving bias of everybody else, because most people are not going to remove it all that successfully, the human condition being what it is. If you don’t allow for self serving bias in your conduct, again you’re a fool==.
>
> I watched the brilliant Harvard Law School trained general counsel of Salomon lose his career, and what he did was when the CEO became aware that some underling had done something wrong, the general counsel said, “Gee, we don’t have any _legal_ duty to report this but I think it’s what we should do it’s our _moral_ duty.”
>
> Of course, the general counsel was totally correct but of course it didn’t *work;* it was a very unpleasant thing for the CEO to do and he put it off and put if off and of course everything eroded into a major scandal and down went the CEO and the general counsel with him.
>
> The correct answer in situations like that was given by Ben Franklin, he said, “If you want to persuade, appeal to interest not to reason.” The self serving bias is _so_ extreme. If the general counsel had said, “Look this is going to erupt, it’s something that will destroy you, take away your money, take away your status…it’s a perfect disaster,” it would have worked!

Avoid being part of a system with perverse incentives.

> Incentives are too powerful a controller of human cognition and human behavior, and one of the things you are going to find in some modern law firms is billable hour quotas. I could not have lived under a billable hour quota of 2,400 hours a year. That would have caused serious problems for me — I wouldn’t have done it and I don’t have a solution for you for that. You’ll have to figure it out for yourself but it’s a significant problem.

Work with and under people you admire, and avoid the inverse when at all possible.

> And that requires some talent. The way I solved that is, I figured out the people I did admire and I maneuvered cleverly without criticizing anybody, so I was working entirely under people I admired. And a lot of law firms will permit that if you’re shrewd enough to work it out. And your outcome in life will be way more satisfactory and way better if you work under people you really admire. The alternative is not a good idea.

Learn to maintain your objectivity, especially when it’s hardest.

> Well we all remember that Darwin paid special attention to disconfirming evidence particularly when it disconfirmed something he believed and loved. Well, objectivity maintenance routines are totally required in life if you’re going to be a correct thinker. And there we’re talking about Darwin’s attitude, his special attention to disconfirming evidence, and also to checklist routines. Checklist routines avoid a lot of errors. You should have all this elementary wisdom and then you should go through and have a checklist in order to use it. There is no other procedure that will work as well.

Concentrate experience and power into the hands of the right people – the wise learning machines. 

> I think the game of life in many respects is getting a lot of practice into the hands of the people that have the most aptitude to learn and the most tendency to be learning machines. And if you want the very highest reaches of human civilization that’s where you have to go.
>
> You do not want to choose a brain surgeon for your child among fifty applicants all of them just take turns during the procedure. You don’t want your airplanes designed that way. You don’t want your Berkshire Hathaways run that way. You want to get the power into the right people.

You’ll be most successful where you’re most intensely interested.

> Another thing that I found is an intense interest of the subject is indispensable if you are really going to excel. I could force myself to be fairly good in a lot of things, but I couldn’t be really good in anything where I didn’t have an intense interest. So to some extent, you’re going to have to follow me. If at all feasible you want to drift into doing something in which you really have a natural interest.

Learn the all-important concept of assiduity: Sit down and do it until it’s done.

> Two partners that I chose for one little phase of my life had the following rule: They created a little design/build construction team, and they sat down and said, two-man partnership, divide everything equally, here’s the rule; “Whenever we’re behind in our commitments to other people, we will both work 14 hours a day until we’re caught up.”
>
> Well, needless to say, that firm didn’t fail. The people died rich. It’s such a simple idea.

Use setbacks in life as an opportunity to become a bigger and better person. Don’t wallow.

> Another thing of course is life will have terrible blows, horrible blows, unfair blows, doesn’t matter. And some people recover and others don’t. And there I think the attitude of Epictetus is the best. He thought that every mischance in life was an opportunity to behave well, every mischance in life was an opportunity to learn something, and your duty was not to be submerged in self-pity but to utilize the terrible blow in a constructive fashion. That is a very good idea.

The highest reach of civilization is a seamless system of trust among all parties concerned. 

> The last idea that I want to give you as you go out into a profession that frequently puts a lot of procedure and a lot of precautions and a lot of mumbo jumbo into what it does, this is not the highest form which civilization can reach. The highest form which civilization can reach is a seamless web of deserved trust. Not much procedure, just totally reliable people correctly trusting one another. That’s the way an operating room works at the Mayo Clinic.
>
> If a bunch of lawyers were to introduce a lot of process, the patients would all die. So never forget when you’re a lawyer that you may be rewarded for selling this stuff but you don’t have to buy it. In your own life what you want is a seamless web of deserved trust. And if your proposed marriage contract has 47 pages, my suggestion is do not enter.

**\*Read this next:** Inspired by Munger, we’ve put together [the best collection of mental models on the internet](https://fs.blog/mental-models/).\*

Part of [[Bookmarks/Health, Mind and so on/Mental Models General Intro\|Mental Models General Intro]]
