---
{"dg-publish":true,"permalink":"/bookmarks/health-mind-and-so-on/psilocybin-bests-ssri-for-mdd-in-first-long-term-comparison/","tags":["adhd","drugs","halloffame","interesting","scientific"]}
---


> Here is a concise summary of the key points:
>
> **Study Findings:**
>
> 1. A 6-month follow-up study found that psilocybin therapy (PT) outperformed escitalop (a selective serotonin reuptake inhibitor) in treating moderate to severe major depressive disorder (MDD).
> 2. The PT group showed greater improvements in overall well-being, meaning in life, work and functioning, and connectedness.
> 3. Both groups maintained similar results on the depression score at 6 months, but the PT group had slightly greater reductions in depressive symptoms at 1 month.
>
> **Key:**
>
> 1. Psilocybin therapy was associated with fewer side effects compared to escitalopram.
> 2. The PT group showed greater improvements in social functioning and meaning in life across all follow timepoints.
> 3. Confounding follow-up interventions may have muddied the results, but the researchers transparently reported this.
>
> **Implications:**
>
> 1. Psilocybin therapy might be more holistic treatment option for depression, addressing not just depressive symptoms but also overall well-being and functioning.
> 2. The study suggests that psilocybin could make a substantial difference in the overall happiness and activities of those suffering from depression.
> 3. Further research is needed to confirm these findings and to explore the potential of psilocybin therapy as a treatment paradigm.
>
> **Future Directions:**
>
> 1. researchers envision a therapy program involving psychiatrists working together with psychotherapists, with the psychotherapists guiding the active process and the psychiatrist prescribing and providing follow-up support.
> 2. They highlight the need for education and training programs to help therapists learn how to implement psilocybin-assisted psychotherapy in their practice.

- [Addressing a Treatment 'Mismatch']()
- [A New Treatment Paradigm?]()

MILAN — Psilocybin leads to a better overall outcome in the treatment of moderate to severe major depressive disorder (MDD) than the selective serotonin reuptake inhibitor (SSRI) [escitalopram](https://reference.medscape.com/drug/lexapro-escitalopram-342961), results of the first long-term comparison of the two treatments suggest.

"This is the first work to compare the long-term effects of these two drugs in the context of overall well-being, not just freedom from [depression](https://emedicine.medscape.com/article/286759-overview)," study investigator Tommaso Barba, PhD, candidate Imperial College London, London, England, said in a press release. "Psilocybin outperformed escitalopram in several measures of well-being, meaning in life, work, and social functioning."

Findings from the 6-month follow-up study of a phase 2 double-blind, randomized, controlled trial were presented on September 22 at the 37th European College of Neuropsychopharmacology (ECNP) Congress and [published simultaneously in _The Lancet eClinicalMedicine_.](<https://www.thelancet.com/journals/eclinm/article/PIIS2589-5370(24)00378-X/fulltext>)

## **Addressing a Treatment 'Mismatch'**

The findings are important because they address "a mismatch" between what psychiatrists and what patients think is important, Barba told _Medscape Medical News_.

"Psychiatrists really focus on negative symptoms of depression. So, if you are not sad anymore, if your sleep or appetite is not impaired, they think you're better. But if you look at what patients define as important, they say it's the degree in which their life is meaningful, in which they can connect with people around them, in which they can function in everyday life," Barba said.

"The study suggests that psilocybin therapy might be a more holistic treatment option for depression," added co-first author David Erritzoe, MD, PhD, clinical director and deputy head of the Centre for Psychedelic Research, Imperial College London. "This could make a substantial difference in the overall happiness and daily activities of those suffering from depression, providing a more joined-up approach to mental health treatment."

The [initial single-center study](https://www.nejm.org/doi/10.1056/NEJMoa2032994) included 59 adults with MDD (mean age, 41 years) who were randomized to receive either psilocybin or escitalopram over a 6-week period. The psilocybin arm (n = 30) received two 25-mg oral doses of psilocybin therapy (PT), and the escitalopram arm (n = 29) received 10-20 mg of daily escitalopram plus two (placebo-like) 1-mg doses of psilocybin (ET). Both groups received psychological support.

Based on change in depression scores on the 16-item Quick Inventory of Depressive Symptomatology-Self-Report (QIDS-SR-16) at week 6, the initial study results suggested non-inferiority between the two treatments in terms of depressive symptoms (primary outcome), but superiority of PT for secondary outcomes including "well-being, anhedonia, social functioning, sexual functioning, and related variables, with fewer side effects compared to ET," the researchers noted.

The new 6-month follow-up findings, with monthly questionnaires and no additional study treatment or psychiatric treatment restrictions, measured the QIDS-SR-16, plus Work and Social Adjustment Scale (WSAS), Meaning in Life Questionnaire, Flourishing Scale (FS), and Watts Connectedness Scale (WCS).

Again, both groups maintained similar results on the QIDS-SR-16, with slightly greater reductions in depressive symptoms for PT in the first month (positive false discovery rate [FDR] = 0.021), but not thereafter.

At both 3 and 6 months, there were greater improvements in WSAS scores for the PT group (pFDR < 0.001 and pFDR = 0.01, respectively), and also greater improvements in meaning in life across all follow-up timepoints (pFDR < 0.001).

There was also greater improvement in the PT group regarding WCS at both 3 and 6 months (pFDR = 0.02, and pFDR = 0.04) and comparable FS improvements for both groups across all timepoints.

Confounding follow-up interventions may have muddied the results, with 30.7% of PT participants and 43.5% of ET participants receiving an additional intervention during this period.

The researchers conclude that while a short course of SSRIs combined with intensive therapeutic support (around 20 hours) "might be enough to induce sustained antidepressant effects," patients treated with psilocybin showed greater improvements in general functioning, connectedness, and meaning in life.

Although not reassessed in the follow-up, the initial study showed that adverse events, particularly sexual functioning, favored psilocybin, said Barba. "The two treatments seemed to go in opposite directions with psilocybin seeming to improve it and the antidepressant to suppress it. Other side effects associated with psilocybin were less diverse — mainly headaches at the end of the day — but with escitalopram they were way more diverse and more impairing," he added.

Although many therapists may be unfamiliar with psilocybin-assisted psychotherapy, "it's not a difficult skill to master. It might require some specialization, but I think if you're a good psychotherapist, you can learn how to implement psilocybin into your practice," he said.

"Normally the journey is quite inward, so patients do not require active support during the psychedelic experience [around 6 hours]. Sometimes they do require some hand-holding, or helping them to 'let go', or breathing exercises. The important part is the integration work that comes afterwards," Barba added.

He said he envisions a therapy program that involves "psychiatrists working together with psychotherapists. The psychotherapists would be more in charge of the active guiding, and the psychiatrist would do the prescribing, with the follow-up psychological support on Zoom."

He added a word of caution for therapists that "psilocybin requires active confrontation of painful, negative emotions and people who take this drug need to be open and prepared for the idea that they are going into a state where they may probably end up crying and confronting whatever they are maybe running away from in their lives. Not everyone may want to do this."

## **A New Treatment Paradigm?**

Commenting on the research for _Medscape Medical News_, Johan Lundberg, MD, PhD, adjunct professor of psychiatry at the Department of Clinical Neuroscience, Karolinska Institute, Stockholm, Sweden, said the study addresses a key outstanding question about the long-term effects of one or two doses of psilocybin.

"It's a 6-month follow-up of a short treatment intervention, so in that sense, it's of high interest. It has been talked about that psilocybin might have a long-term effect, but this is the first study that has followed this for a longer term."

But Lundberg also pointed out that one shortcoming of the study is the diversity of treatments following the intervention.

"They didn't have control over whether patients received other treatments or when they started. So, that is a key concern. But they transparently reported that, and we do know there was a difference in reported ability to perform activities of daily life, and that is important."

He added that if psilocybin is eventually approved, it would likely come with an education package for providers — "which is already the case with other treatments like ECT [[electroconvulsive therapy](https://emedicine.medscape.com/article/1525957-overview)] or TMS [transcranial magnetic stimulation] — you have to learn how to do it."

James Rucker, MD, PhD, psychiatrist and senior clinical lecturer at King's College London, London, England, who was not involved in the research, also noted that they have tended to attribute differences observed in this study to comparative differences between the drugs themselves.

However, he noted, it is also possible that the results reflect biased reporting between groups. This is more likely here because studies involving psilocybin tend to attract those with positive preconceptions about psilocybin and negative preconceptions about conventional antidepressants, and study participants were unblinded during the long-term follow-up phase, so knew which condition they were allocated to.

"This said, the nature of depression varies hugely between individuals, and this calls for the development of a similarly varied suite of treatment paradigms. Psilocybin therapy is certainly a different paradigm of treatment to escitalopram. The observation of similar levels of effectiveness to antidepressants here is encouraging to see alongside the much larger trials of psilocybin currently underway here in the UK, Europe, and the US," Rucker added.

_This work was supported by The Alexander Mosley Charitable Trust and by the founding partners of Imperial College London's Centre for Psychedelic Research._

_Barba reported having received consulting fees from Adamo Bioscience._

_Both Lundberg and Rucker are involved in psilocybin research, but neither reported financial links._
