---
{"dg-publish":true,"permalink":"/bookmarks/health-mind-and-so-on/the-skill-of-naming-what-s-happening-in-the-room/","tags":["mind","psychology","technique"]}
---


# [The skill of naming what’s happening in the room | Lara HoganTwitter_Logo_Blue](https://larahogan.me/blog/skill-naming-whats-happening/)

Originally posted Feb 8, 2021

_This post originally appeared on [Lead Dev](https://leaddev.com/communication-relationships/skill-naming-whats-happening-room)._

Years back, I was in a spicy Engineering Directors meeting where we were talking through a new roadmap.

There were a ton of voices, and not much listening. People were dialing in from two different offices, with each group of people circled around a different large conference room table. Tensions were high with each leader optimizing for something different: increasing their team’s headcount, getting their project on the priorities list, angling for a promotion, advocating for a new direction for the business, and so on.

In tough group discussions like this one, each person tends to state the facts that are important to them:

- What we’d like to see happen
- What our expectations are of a team, role, or function
- What injustices or unfairness we see
- What the risks are to our desired outcome
- What we’ve heard our teammates say

But we often forget to simply state: here’s what I’m observing in this room, at this moment. Many of us can spidey sense when a conversation has gone sideways, but we don’t recognize that it might be useful to put words to what we’re noticing.

Your observations—of the energy on the call, of a change in someone’s tone or body language, of how you as a group are not meeting the desired goal—can reset this frustrated dynamic. ==Often, everyone else in the room will _also_ sense these things, but folks rarely say them out loud.== It might feel too awkward to do so, you might fear derailing the conversation further, or it simply might not be obvious how useful it’d be to voice what you’re noticing.

==With the right approach, naming what’s happening is like a reset button==: it creates an opportunity to positively change the tone or conversation. Doing so interrupts the cycle of everybody stating their needs and viewpoints, and acts as a reminder that you’re in this room as a group.

### What it looks like

Here are some examples of straightforwardly naming what’s happening in the room, ==without judgment or leaping to assumptions:==

- “Hey, let’s just take a second to check in: it feels like maybe we are going in circles on this.”
- “Hey Cameron, I noticed your shoulders just slumped. I want to check in—how’s it going over there?”
- “I just want to hit pause and say, I sense that we are both not feeling heard right now.”
- “It feels like the energy in the room just changed.”

If you’re familiar with nonviolent communication, these statements will probably resonate! ==By incorporating phrases like “I sense that,” “I get that,” or, “it sounds like”, you can signal to those around you that you want to take a moment to understand their point of view.==

Of course, verbal signals are only as helpful as our nonverbal signals. To name what’s happening without causing more friction, keep your tone calm and body language open. Lean forward just an inch or two in your chair. Keep your arms uncrossed. You want to demonstrate that you’re actually listening, and interested in moving forward together.

### The risks of this approach

There are a few risks to naming what’s happening in the room; you won’t always get it right! ==Avoid projecting your feelings onto others,== or putting them on the defensive.

If you’re noticing a major shift in one person’s demeanor, instead of guessing what’s going on for them (like “you seem upset”) ask an open question about what they need or how they’re feeling.

Keep what you say ==short and sweet,== and remember to use a calm tone and open body language.

### What happens next

Once you’ve stated what you’re observing, take a beat. Hopefully, there will be a short moment of silence where everybody resets. You don’t need to let this go on for too long (a few seconds, max!) before focusing on what should happen next.

Depending upon the power dynamic in the room, ==a higher-level leader might hop in to set a new direction for the conversation==—or you can ask them to! Alternatively, you can ask some open questions, like, “What’s going unsaid?” or “What do folks need right now?”

And ==you can even suggest the next step yourself:== “It seems like we could all use a breather. I know we’ve gotta make a call on this today, which means we’re going to have an imperfect solution. How about we all take an hour to identify which risks we’re comfortable taking?”

==But you might not even need that breather. When I’ve seen this done well, the reset itself is enough to set the conversation back on a productive path.==

About two-thirds through that spicy roadmap meeting, my colleague, Vanessa, leaned in and said, “Hey all—it’s feeling awkward in here.” This short statement cut through the noise instantly; everybody took a second, a bit stunned. We’d all been trying to get our own ideas across for long enough that we’d lost the plot. You could feel a collective deep breath in the room, and then a couple of chuckles. I honestly don’t remember what happened next; I was too ==floored== by the instant effects of Vanessa’s casual interruption of the caustic cycle we’d been in.

Next time you find yourself in a tense meeting, I hope this tool helps you get the group back into a productive state. It might even delight and surprise along the way.
