---
{"dg-publish":true,"permalink":"/bookmarks/ideas-and-theories/anatomy-of-an-internet-argument/","tags":["internet","lifehack","mind","psychology","techniques","things","tools"]}
---


# [Anatomy of an internet argument - Defender’s Corner](https://defenderofthebasic.substack.com/p/anatomy-of-an-internet-argument?ref=dailydev)

A good way to [[Bookmarks/Health, Mind and so on/Be a thermostat, not a thermometer\|Be a thermostat, not a thermometer]]

I’ve spent the last 6 months arguing daily on the internet, and I’ve gotten \*really\* good at it. This is what the majority of my twitter arguments end up like:

They always say something like “wow, a civil interaction, how rare!” but it’s not rare for me. I’ve gotten to a point where I can do this very consistently now, and I think others can learn this too.

There’s a misconception that good faith discussion only happens in close-knit communities like LessWrong or HackerNews. **The reality I’m looking at here is that \~everyone on the internet is rational AND is arguing in good faith**. If it doesn’t look that way, it’s because you’re speaking different languages.

Let’s look at 2 cases.

Here’s a puzzle: how do you respond to this insult to get them to apologize?  
_(I’ve blanked out the reply from user “InGoodFaith” for this exercise)_

[[IMG-20241106232525830.jpeg|Open: Pasted image 20241012085559.png]]
![IMG-20241106232525830.jpeg](/img/user/_resources/IMG-20241106232525830.jpeg)

Some incorrect ways to respond:

- ❌ Insulting them back

  - _(that just makes them more angry)_

- ❌ Telling them they’re wrong

  - _(they won’t understand what you’re saying because they’re already mad & feeling attacked)_

  - _(even if they change their mind, they will not tell you this because it would feel like failure)_

- ❌ Telling them NOT to be rude

  - _(no one likes having their tone policied, they feel justified because (1) they are angry (2) your words are the source of their anger. Or at least their intrpretation of your words)_

Here’s the winning move:

- ✅ Signal that you are genuinely interested in understanding them, not attacking them

No one has ever changed their mind while being attacked. People are way more likely to change their mind when they feel understood. **It doesn’t matter if you understand them: you have to prove to \*them\*** that you understand them**.**

Yes, this is a lot of work. If you’re not willing to do this, then \*you’re\* not arguing in good faith in my book. You’re just here to beat people over the head with words that they don’t understand. It’s a waste of your time AND their time, and you leave with the (incorrect) belief that people are dumb, or don’t care about the truth etc.

This was the reply:

> sorry, I am too dumb to understand what "fortiori point" means! I think I'm just trying to understand the relationship of left/right towards Norway
>
> I thought Norway = socialist policies = left-ist people aspire to it, but not republicans? right?

The “too dumb” part I think helps to diffuse the anger, showing him that I’m not interested in fighting, but it’s probably not necessary. I think the important part was articulating what I don’t understand, asking a specific question. I’m also showing vulnerability by stating my beliefs and asking them to correct me.

This shows a genuine interest in understanding because it cannot be faked. It’s like “proof of work” in blockchain. It’s not enough to say:

> I really do want to understand you! Can you please explain your point without the insults?

Because what the other person hears is:

> You’re not allowed to talk to me this way. Now repeat the point you’ve already said, but in a way that I will understand it. **Also, I’m not going to bother telling you what part I didn’t understand**, I want \*you\* to figure that out.

I made an open call for anyone who feels like they encountered someone arguing “in bad faith” to send it to me and I will help analyze it/tell you what you could have done differently.

KJ took me up on it.
[[IMG-20241106232525867.jpeg|Open: Pasted image 20241012085613.png]]
![IMG-20241106232525867.jpeg](/img/user/_resources/IMG-20241106232525867.jpeg)
Here is the full interaction between them, and my analysis afterwards:

(1) 🪓“axial age” posts an anti-government post, in response to an obama quote

> Where did all those billions supposed to be spent on EV charging stations go? I patiently await your response.
>
> _Obama: "The other side knows it's easier to play on people's fears and cynicism. They will tell you that government is inherently corrupt."_

(2) 🎵 KJ responds

> looks like grants have been going out! and round 2 is coming up! _[link to source]_
>
> and not sure precisely the percentage that can be attributed to the CFI but there are certainly stations being built! _[link to source 2]_
>
> (i patiently await ur response 😛)

(3) 🪓 axial responds

> How many built due to this program and at what cost? Press releases are cheap.

(4) 🎵 KJ

> ok so actually, it looks like NONE have been built due to this program yet, bc the first round of funding was only just announced...
>
> but the plan is to fund 47 projects (\~7500 chargers) using 623mil of the total 2.5bil
>
> (avg 80k per charger)

(5) 🪓 axial

> this is why you're getting blocked

From KJ’s prespective, this is bizarre: KJ was polite & sincere, he included links to sources in every reply, he responded to every point axial brought it up. KJ is left with the conclusion that this person must not care at all about truth.

This is objectively the wrong conclusion.

Let’s look at this from axial’s side:

1. He’s making a point about a strawman that Obama is using

   1. Obama says, vote blue, the other side is manipulating you into fearing the gov!

   2. axial says, no, it’s not manipulation, it’s a valid criticism!

2. Axial’s point is that it’s \*not\* about fear, it’s about, at best (1) government incompetence wasting tons of money (2) at worst, malicious actors getting rich off of these subsidies without actually providing value for society

3. KJ comes in with “proof” about the funding/plans for this money, and a smug, “patiently awaiting your response 😛”

4. This is totally missing the point. Axial very kindly explains:

   1. Yes, they’re saying they’re using this money for good, but how much good has it \*actually\* done?

   2. And also, even if they did do these things, how much did it cost? Did it really need to cost this much? Could it have been done better & cheaper if it was private? Is it possible that private companies are taking advantage of these gov programs and ripping us off?

5. KJ doubles down:

   1. Insists that they’re going to build more, shares more links/press releases

   2. Will not concede that there is a maybe a problem here, that maybe \*some\* government programs are not working, and that the rhetoric of the democratic party can sometimes strawman the other side

At this point axial blocks him because KJ comes off as NOT arguing in good faith, NOT interested in the truth.

KJ’s problem is he came in refuting a point that he didn’t understand. He was in fact arguing the wrong point. This is one of the most common failure modes I see.

The first step in any online argument is to understand the other side. You must empirically \*confirm\* this understanding with the other person. I would have said:

> “Where \*did\* those billions go? My understanding is a lot of it is going into building the initial infrastructure, so it’s slow going but we’ll see progress soon. Is that not true?”

See, we don’t even know if axial is against EV and environmental protections, or if he just thinks the gov is doing a bad job executing it. How can you argue against this if you have no idea what he’s even saying?

So we start by (1) asking a question (2) articulating our understanding of the issue. The first point helps you understand them, the second point signals that you’re genuinely interested in understanding them, you’re laying your cards out. You’re revealing your beliefs and opening yourself up to being corrected.

It’s not about pretending that you’re willing to change your mind. You’re here because you think the solution is clear, and you don’t understand why people are voting against the things you believe are good.

I used to feel a deep sense of despair about humanity. I used to feel like, we \*\*knew\*\* how to make the world a better place, and the \*only\* reason we’re not doing it is because “people suck/are bad/evil/stupid”.

**This is a very difficult way to live life, it’s also just flat out false.** This is not why the world isn’t getting better. This becomes very clear when talking to people with views & opinions that I find repulsive/evil:

1. I realize I had no idea that there are good reasons to be opposed to solution X

2. Or that a lot of people don’t understand why solution X is good, and they actually change their mind when someone explains it

3. Or that solution X is actually bad/not working. They are on my side, in that they also want to solve the problem, but they are skeptical that X is the way

Everyone always asks me, how do you have so much patience to engage with “these trolls/haters”. I don’t do this for them. I do this for me. I share the earth with these people we call vile. Their opinions & actions affect me greatly. Closing my eyes & ears only hurts me.

The more I lean into things I hate & that I know nothing about, the more I realize a lot of them are all good, reasonable people. A lot of us are really on the same side in wanting to make the world a better place for ourselves, our family, our community.

I’ll leave you with this reminder:
[[IMG-20241106232525908.jpeg|Open: Pasted image 20241012085742.png]]
![IMG-20241106232525908.jpeg](/img/user/_resources/IMG-20241106232525908.jpeg)
_Thanks for reading! I’m hoping to make this into a series, would love your feedback! Also, if you think my philosophy here is bullshit and overly naiive, I’d love to hear from you! If you have examples of people that are vile/clearly evil/not in good faith, send it my way._
