---
{"dg-publish":true,"permalink":"/bookmarks/ideas-and-theories/human-life-in-a-complicated-world/","tags":["interesting","life","lifehack"]}
---


# [Complicated World](https://complicated.world/en/Human_Life)

See also [[Bookmarks/Management and Work related/Applying Lessons from Sun Tzu and The Art of War to Everyday Life\|Applying Lessons from Sun Tzu and The Art of War to Everyday Life]], [[Bookmarks/Health, Mind and so on/Mental Models General Intro\|Mental Models General Intro]]

```table-of-contents

```

After writing this article we did an exercise and picked some random well-known quotations on happiness, both classical and contemporary, and then we reversed their meaning. Here are a few examples:

> Learn to let go. That is the key to happiness.
>
> Buddha
>
> Learn not to let go. That is the key to happiness.
>
> not Buddha

> Happiness is not being pained in body or troubled in mind.
>
> Thomas Jefferson
>
> Happiness sometimes is being pained in body and troubled in mind.
>
> not Thomas Jefferson

> Very little is needed to make a happy life.
>
> Marcus Aurelius
>
> Very much is needed to make a happy life.
>
> not Marcus Aurelius

> Happiness is a butterfly, which when pursued, seems always just beyond your grasp, but if you sit down quietly, may alight upon you.
>
> L.
>
> Happiness in not a butterfly. If you sit down quietly, seems always just beyond your grasp, but when pursued, may alight upon you.
>
> not L.

> If you are not happy here and now, you never will be.
>
> Taisen Deshimaru
>
> If you are not happy here and now, you may still be happy in the future.
>
> not Taisen Deshimaru

> The greatest happiness you can have is knowing that you do not necessarily require happiness.
>
> William Saroyan
>
> The greatest unhappiness you can have is knowing that you do not necessarily require happiness.
>
> not William Saroyan

What we noticed was that without a broader context, both the original and the inverted versions seemed equally profound to us. That is why we try to bring more context to these contemplations, even if it sometimes sounds obvious or naïve.

---

In this section, our attention is directed towards matters related to an individual human being. We cannot think of a more fundamental starting point for any reasoning than to begin with contemplation on happiness. It serves as the lens through which we shall examine the problems of human life. Moreover, it forms the foundation upon which we will subsequently endeavour to build all higher-level considerations, such as those concerning societies and cultures.

## 1. Happiness Is Most Important

Happiness is often overlooked, as the science likes to concentrate on measurable, objective domains and happiness is neither. It often becomes misunderstood as cheerfulness and it is also often given a supporting role to the "real" qualities, like measurable physiological attributes (e.g. circulatory system health, lung capacity, BMI, immune system strength).

Let us be courageous and define happiness here. For us, happiness is the target state that we want to achieve, at which we would be in our ideal condition. This is different from mainstream definitions that are currently used by scientists, but we will discuss this in more depth in a separate article. Life satisfaction serves as a good approximation of our happiness definition and it is also useful when thinking about certain theories. There is a domain of science which aims to delve into the understanding of happiness, it is called Positive Psychology and it constitutes a relatively recent field of science. We take some inspiration from it, but what we present here is our own, subjective view on happiness.

One important aspect is often understood differently by different people working on this subject and we wanted to explain it here. The advice that we most often get is all about how to avoid negative emotions, stress and all kinds of problems and how to instead invite more positivity into our lives. This approach is usually called Positive Thinking. It is not at all equal to the science of Positive Psychology, but we often find the works based on Positive Psychology to take similar approach. In contrast, we believe that the foundation of seeking happiness is being true with ourselves. Instead of muting the negative emotions, we believe that we should listen to them carefully, as they are there only for our benefit, just like the positive ones.

As our definition of happiness hinges on individual desires, it is entirely subjective and for everyone it can mean something different. Listening to our feelings is the sole source from which we can learn what our happiness is. This source is however difficult to read from and hence it is usually an uneasy task to determine what it is that we really want. You may have many different goals, convictions and desires at the same time and they often contradict with each other. We can use our intellect to understand these contradictions and this process can help us align our goals, accept that some of them will be de-prioritised or even need to be abandoned altogether, in order to pursue the most important ones. We wholeheartedly encourage you to have such reflection from time to time and we will also try to follow similar process in some of our articles. From our observation, anger is very often a result of such misalignment of our goals and lack of reflection.

Another notable issue is that, in most cases, our feelings can only guide us towards things that we are already familiar with - those we have tried or, at the very least, heard about. For instance, we cannot feel a desire to eat durian if we have never tried, or heard of it before. Yet, maybe living a life without ever trying that mysterious fruit would be less satisfying than if we did (spoiler alert: it would not). Hence, our feelings require considerable inspiration to become more precise and, in general, more effective. For this reason, in the next chapter we would like to present you some of the ideas taken from our self-reflection on what makes us happy. Maybe some of them will serve you as such inspiration. Speaking of happiness, we would also be very happy to hear your suggestions about what else might be on this list.

## 2. What Makes Us Happy

### Being True

If you feel that you are authentic and have no need to pretend, especially not to yourself but also not to others, then we claim that it is the most crucial thing you can do. Being true often means having different kinds of troubles, because it is nearly impossible to be true and at the same time have everyone like you. It is always best not to have problems, but when there is true you at stake, we claim that you should not mind the problems. Being true does not mean that you should never do things that you do not like. You should do them, but only if you feel that they are worth doing for some reason. An additional positive outcome is that people tend to respect more those who seem to be true, even when it means that they did not achieve to force you to do whatever would be beneficiary for them. It is because being true to yourself means that it is possible to get to know you and it is a first, necessary step before trusting, liking or respecting you. Furthermore, on a different topic, being untrue means you may be haunted by your conscience. But these are just side effects. In reality we think we should be true ourselves, because there is no other way.

### Other People

Relations with other people appear to be the critical aspect of life. Yet, they are so difficult and complicated and commonly underrated, not enough attention being given to learn their basic mechanisms, or even to appreciate their importance. It is an extremely long topic, possibly will be covered in a separate article at some point. If we stay true ourselves though, that seems like a good start for a relationship too. Maybe add a bit of empathy. A closely related aspect is the sense of belonging to a group. Unfortunately it is quite often exploited by various cults, but the need to be part of a group, clan, tribe, family, or society is deeply rooted in us. As a rule of thumb, the easier it is to voluntarily quit a given group without any repression, the less toxic it is.

### Joy

Laughing until you cry, the often-forgotten simple joy of life that children seem to have naturally until they are taught not to be silly. Be silly, sometimes. Cherish that inner child, if you still have it, because once you lose it, it is very hard to get it back (but still possible). In most cases this joy can only happen spontaneously, but what you can do, is remember the circumstances in which it happened and try to reproduce some of them later to create an inviting environment for spontaneous joy.

### Exploration and Learning

A particular subcategory of joy is the one we feel when we learn, see new places, get to know new people, understand the world better. Broadening our horizons brings us new opportunities and just seeing them gives us satisfaction. So let us remain open to the unknown and sometimes kick ourselves to go and explore the world outside our comfort zone.

### Flow

Being consumed by a task so deeply that we forget about everything else. This state gives a lot of satisfaction. Even better when it is done not alone, but as a part of cooperation on something important to you. Ironically, nowadays it seems that it is quite rare to participate in any form of direct cooperation with other people and the most common that we see is in video games, where it hardly serves any purpose. Singing in a choir and playing in a band seem like perfect examples, as music can be very important indeed.

### Personal Mission

Feeling that our life has meaning appears to be a luxury in modern times (unless you are in a religious sect, where it is given to you for free). You might even think that it does not really exist. If that happens to you, have a look around and try to assess how much meaning other peoples' lives have. You might notice that you admire some people for what they are doing, while others are uninspiring. If that did not give any results, you might try the opposite way: have a read of war stories and see if they make you feel that you would not want that to happen ever again. If you make this observation then that means that not all is lost and there can be varying degrees of meaning in our lives. That is what we believe in. Even a tiny meaning is a mission worth considering, as following it can bring a lot of satisfaction. And the other way round, even a seemingly great mission has some boring, repetitive, less exciting aspects to it. There is a very big risk of being manipulated into taking on a false mission - one which you do not really believe in, but there is a pressure from a cult, company, religion group, or society. Stay vigilant then, as your only defence is referring to your feelings assisted by your intellect. Meditation is also a powerful tool, which can be used to discover your true feelings, but in the modern approach it is more often used to force yourself into feeling only positive emotions. Despite our earnest efforts, the best we can hope for after employing these tools is to gain only a vague understanding of our goals.

### Kindness

A close relative to personal mission is a feeling of being useful, helpful and kind. The difference is that by being useful we are helping others achieve their meaning (or maybe simply have a better day), but it is extremely valuable and deeply satisfying too. As opposed to personal mission, which is typically longer-term and less tangible, the acts of kindness happen here and now and give an instant reward. We believe we should mix the long-term goals with the maybe less important, but shorter-term endeavours, as both are essential. Additionally, because acts of kindness are done to other people, at the same time they help build good relations.

### Some Calmness

Stoics teach us that the crucial ability we must attain is to cope with failures. Too bad that the way which they propose to achieve that is to take away meaning from all feelings, so that you can no longer be either sad or excited by the external events, successes or failures, because it all does not matter that much. We believe that it is possible to be reconciled with the inevitability of certain failures, yet still be able to feel spontaneous joy. The key to this is understanding that our power is limited. We can still achieve a lot and we will most likely also encounter some failures, which should not discourage us from trying. The calmness that we refer to here is specifically that peace of mind which comes from the acceptance that we will never achieve everything that we might want, that we will miss good opportunities, and if that was not enough, that we will also eventually die.

### Sex

Need we say more? Perhaps we should, though it is such a vast topic that it could not be squeezed into a short paragraph. Sigmunt Freud (the founder of psychoanalysis) stated even that it is our only motivation. Let us just say that it can definitely be a very big, positive part of happiness, and at the same time it can lead to violence, crime, and wars. Some say that even mediocre sex is better than no sex. And evil sex is one of the worst things one can experience. We might need to dedicate a separate article to sex.

### Safety and Predictability

It is disturbing not to have at least a minimal life predictability, especially with the basic needs like access to food or a place to sleep. When the essential level is achieved though, we tend to continue chasing this safety endlessly, which consumes most of our life's time and attention. Yes, it is the problem of money. It is necessary, but it is also a bottomless hole and once we start filling it, it is difficult to stop or even take a break, but rarely we hear that it brought happiness to anyone. On the opposite extreme, living on the brink of catastrophe is draining and may consume all our attention and life resources, leaving no room for happiness.

### Experiencing and Nature

Just experiencing the world as it is and being mindful of it gives that feeling of being alive here and now. Experiencing beauty can be deeply satisfying too. A particular example is submerging ourselves in nature. Maybe the world of plants and animals did not invent as many manipulative theories as people did, hence observing them can be so refreshing.

### Low-level Factors

Despite all high-minded factors, it seems that the mundane physiological aspect of ourselves plays a very important role too. A basic hygiene of having enough sleep (at least 7 hours for adults, and much more for younger people), the right amount of food, warmth, seeing enough light and outside world, not being ill, or in pain, having some time for leisure, and having regular physical exercises is paramount. These things seem to have a direct impact on our happiness, regardless of any of our feelings or desires. That means that if, for example, we spend a lot of time in dark places, then we must be mindful about it and offset it somehow. That also means that buying a brighter bulbs for your home is how you can boost your happiness with such a minimal effort. Another example is when you work in a difficult environment, specifically deal with angry, sad, or hostile people, be it in a hospice, funeral parlour, or army, you must be prepared that this environment will affect you, no matter how useful the job is and how much you believe in it - you must purposely offset the hardship of such environment.

### Traps

We refer to things which are specifically designed to abuse our mechanisms as traps. Like a poison, which would never even be invented if it was not needed to harm the opponent. An organism does not know how to deal with a poison, hence it works. In a similar way, drugs abuse the way our nervous system works, giving us instant reward at the price, which we will have to pay in the future, but we do not need to think about it at the time of taking that drug. This is also how gambling was designed. And short-term loans. And sects, which give (fake) feeling of being respected in a group and a (fake) feeling of our lives having purpose, at a price of slowly becoming addicted to them, loosing self-reliance and drifting away from our true selves. With the same mechanism, some organisations keep their employees in their workplace and some people addict their partners to them economically. There are plenty of examples of such traps and their nature is that they always aim to find our weakness and then exploit it for as long as possible, while with time it becomes harder and harder to terminate this addiction. In most cases though, we are able to spot and avoid such traps, but we often tend to disregard this feeling.

## 3. How to Achieve That

Two main actions come to mind, which can be done to invite the wanted things in and avoid or mitigate the unwanted ones in our lives. Emphasizing the significance of self-reflection cannot be overstated. Intently exploring our feelings, conflicts between them, and looking upon our desires and our current life situation is crucial to stay as close to happiness as we can. Interestingly, without that self-reflection we may not even realise that we are actually unhappy and simply continue our lives in such way. It might not be practical to contemplate these things all the time, but we encourage to make it a routine. It can be quite natural to question our current life direction and see if we want any bigger changes, during special occasions like birthdays (think about wishes for yourself), important holidays, life events, and while you are watching falling stars (we hope you do that sometimes). It may also be productive to explicitly reserve time for such self-reflection before making important life decisions, which may sound obvious, but from our observation it often is not. Having a complete clarity of what we want might not be possible, but we can have more or less of that clarity. Seeking inspiration plays a significant role is aiding self-reflection. It might involve going on a journey, taking a walk, engaging in a conversation, reading an article, or watching a film.

The second step that needs to be taken is initiative. Now, if you roughly know what you want, you must take steps to move in that direction. It will never happen by itself. In our experience any form of waiting for a change to come, or waiting for others to notice our problems is always a waste of time. It is only your responsibility to drive the process which may bring the wanted change (we will speak more on that responsibility in a separate article). In many cases, this process requires you to change your habits. Making the changes one small step at a time is a practical approach. As a rule of thumb, the direction that you would like to take is different from the one which anyone else would want you to take, which means that you must expect at least some tension.

While following the above process it is a common mistake to sacrifice ourselves now in order to be happy in the future. There is an important distinction between a "sacrifice" meaning hard work towards our true goal and a "sacrifice" meaning being unhappy for now, but surely this unhappiness itself means that we are good and selfless and we will be rewarded in the future. We claim that the latter is a fallacy, which is often observed when people chase their careers too obsessively, waiting for retirement to finally start their lives, or similarly when people remain in toxic relationships. Lyrics of a song by the band Raz Dwa Trzy summarises it well: "We can be happy tomorrow. Tomorrow is gonna be that day. Tomorrow could even be right now, if it could be at all" (translation by us). If you are unhappy and you are proud of it, then you may be experiencing this problem and typically the nature of the problem is that it spans across very long part of our lives. It is not worth following this course, though breaking this pattern may be very difficult, because that sacrifice is addictive like a drug.

One extra complication is that it is very difficult to remember or imagine the state of happiness if at a given point you are sad or you are unhappy. This also makes it difficult to assert how happy we are, compared with our past selves. Happiness, by its nature, appears to be focused on the here and now, so if you are convinced that you were always unhappy in the past, take extra care, as you might have forgotten much more easily than you would expect.

Finally, the wider environment in which we live has a big impact on us too. Hence we will treat this article as the foundation for the ones about the desired mechanisms of society. If we look at personal freedom, the right to privacy, a country's economy, or culture - these factors may play a very important role in our daily lives and we have a somewhat limited influence on them, as they depend on the whole country's policy and circumstances. If you are lucky to live in a democratic society, be mindful of your vote. If you are lucky to live in a country which allows free speech, you may speak about your convictions, steering the society slightly into your desired direction. We dedicate the next series of articles to exploration of how certain social mechanisms and policies reflect on the creation of a good, or bad environment for us to live happily.

To summarise, happiness does not bring any profits, it is the profit. In the modern world, it is often given a secondary role, with vast advice focused solely on easy and instant maximisation of pleasure and avoiding any problems. We believe that happiness is much more than that and achieving a fullfiling, happy life requires a lot of engagement from us. That engagement means looking for inspiration, dedicating time for self-reflection, setting the goals that we want to achieve and then putting them to life without delay. All the time being also mindful of the impact that our environment has on us. And in all of the above, being as honest with ourselves as we can and not expending excessive energy meticulously crafting a positive image for others. Authenticity and self-worth stem from within, not external validation.

Follow your mission, instead of seeking followers.

## 4. Additional Notes

### Origins of Happiness

When exploring the origins of any phenomenon, we often begin by considering if evolution could be the underlying cause, as this approach frequently yields convincing theories. This method has led us to hypothesize that the ability to experience happiness (or unhappiness) is a mechanism that enhances a human's chances of survival. Let us examine how this feeling might be beneficial.

As defined earlier, happiness is the most desired state that we want to attain. It serves as an input signal to our conscious mind, acting as a guiding "true north". With this guidance, the mind attempts to make decisions that maximise our future happiness. Although the conscious mind does not always make these decisions efficiently due to various manipulations and misconceptions, it generally aims to optimise for future happiness. The conscious mind is not the only decision-making system; many day-to-day decisions occur automatically, without our awareness. However, it seems reasonable to assume that conscious decisions significantly impact our lives. These decisions are usually the strategic, long-term, and most important ones. In this way, happiness indirectly, but potentially significantly influences our survival chances. If we consider what typically makes people happy, much of it is indeed related to self-preservation: feelings of safety and power, good relationships, curiosity, and the importance of health and other low-level factors.

There are also other sources of happiness, such as the need for fairness, having a personal mission, compassion, altruism, and patriotism. These factors do not seem directly linked to individual self-preservation but appear oriented towards benefiting the group in which we live. Anthropological evidence [7] suggests that the survival of the group was closely associated with the survival of its members. For instance, if a tribe was less effective than its neighbours, it had a higher risk of dying out due to resource scarcity, or being overtaken. While it is uncertain whether the failure of a group inevitably meant the death of most of its members throughout history, it is plausible that group survival impacted individual survivability.

This reasoning suggests that both self-preservation and group-preservation aspects of happiness influenced the ability to pass genes to the descendants, which could explain the evolutionary origins of happiness. However, there is also another possibility of how happiness could evolve: by being a part of culture. It seems plausible that we learn what it means to be happy, implying that not all aspects of happiness are genetically inherited. Cultural transmission mechanisms, such as social learning, the propagation of cultural norms, and the need for inspiration described earlier, support this view. If true, this would further explain how successful groups could sustain their culture, while defeated ones, even if some members survived, would likely lose the ability to propagate their culture. Thus, a portion of happiness, particularly the group-oriented aspect, might evolve alongside culture rather than solely through genetic inheritance.

This evolutionary perspective is convincing to some of us, although our team has not reached a definitive consensus. It may also appear somewhat dishearting, as it reduces happiness to a matter of pure effectiveness without a higher meaning. However, there is another possible approach: examining the nature of consciousness. The concept of "self" is profoundly mysterious - it is the foundation of our perception and interaction with the world, yet we understand very little about it. Consciousness appears closely related to happiness, as both concepts seek to answer the question of what "I" want. This mystery compels us to conclude without a definitive answer, which we find somewhat hopeful compared to the stark evolutionary explanation.

### "Benefits of Happiness"

Similar titles are found in many works related with happiness. It seems though that it should be the opposite way round. Happiness is the goal itself and it is the ultimate benefit. Because it is hard to grasp and measure though, it became a second-class citizen giving up its place to well-established measurable health factors. For example, we can particularly often find information that it is important to stay happy, because it is proven that it lowers the probability of cardiovascular disease. We assert that happiness is the ultimate goal and that the physical health, just as anything else, is subordinate. It is the misconception that everything backed by numbers is superior, which creates this paradoxical approach of science in this field.

### A Difficult Start

It is disproportionately difficult to take the first steps in self-reflection. And once that process starts, it becomes much easier to make progress, reason about our own lives and intentionally improve over time. That creates a situation where some people get entirely isolated from this process, not even knowing that they could improve their lives, or not even realising that they are in fact unhappy, even though they really are. They would be seen as angry, or unsocial due to their nature. Typically, these individuals would attribute this state to external factors, like their specific life situation, unhelpful colleagues and relatives, or dishonest politicians. Sometimes, they may even hold the conviction that everyone is plotting against them, which in turn makes them an easy target for manipulation. It is a difficult problem. Leonard Cohen sung once: "Those who earnestly are lost are lost and lost again". To address these affected individuals, a whole domain of "painkillers" has been invented - solutions targeted at providing short-term relief, like positive affirmations, redirecting negative thoughts to the external environment, or ignoring problems by diverting attention to activities like watching TV or playing endless video games. Despite offering instantaneous alleviation, this approach is doing us a disservice as it further conceals the real causes. The only hope we can imagine now is a cultural shift, where self-reflection becomes more common, almost an obvious topic.

### Are We in Control of Our Happiness

In other words, are we happy because of our circumstances, for example that we have friends, good food, loving family, stable life, which might or might not be a result of our decisions, or are we happy because of our decisions which might or might not have ended up with any success. Who is happier: a child of a billionaire who has all the comforts, but none of these come from his decisions, or a good man, true with himself, making all the right decisions in his life, but unlucky enough to have been born in a country immersed in a war? We lack a definitive answer to this question, but it looks like both of these have impact on our happiness, which is interesting, because it makes it hard to pinpoint one root of happiness, even very abstract. Of course we could say that it is just chemistry of our brain which is the root of it, but that is not the kind of answer that we are really looking for, because it does not give us any more understanding of it.

Besides the external factors mentioned above, some people are troubled with internal influences of a similar nature. Epilepsy serves as a good illustration. Individuals grappling with this disorder may experience swift and unpredictable shifts in mood, transitioning from happiness to sadness, anger, anxiety, or the reverse, from sadness to happiness. All without any reason other than brain malfunction. These emotional fluctuations remain beyond the individual's control, serving as a reminder that there are instances where our ability to aid ourselves is limited.

Additionally, some people speculate, that happiness can be attained in another way: by focusing on meditation to achieve the state of nirvana, synonymous with ultimate happiness. Despite our efforts, we must acknowledge that, unfortunately, we lack a sufficient understanding of the Eastern spiritual practices to draw a decisive conclusion in this field. It is possibile that this type of knowledge can only be acquired through extensive direct training from their teachers, an experience that could redefine this article. There is also a chance that it is yet another form of escaping the reality.

One more intriguing approach is to let go of your own goals and replace them with simpler ones. Setting aside, for a moment, the obvious negative side effects of drugs, they appear to exemplify precisely this mechanism. There is something about this approach, which does not feel right, a sense that we are bypassing the normal operation of our own minds, intentionally altering it to gain a reward without fulfilling its true objectives. This issue is sometimes referred to as "headwiring". It has been depicted numerous times in popular culture, one instance being in the film "The Matrix", where the main character must decide whether to take a blue pill, granting a fulfilling yet simulated life, or a red pill, leading to the difficult reality. While we cannot provide any universal argument stating that headwiring is inherently wrong, our mission here is to discover the truth, and we could never endorse choosing the blue pill.

## References

This article presents the result of our own observations, countless discussions and thinking, however on our way we were inspired by some of the existing works. Happiness has been widely discussed over the centuries, so it is difficult to pick only a few pieces, but here are some that we found most important:

1. Seligman, M. E., & Csikszentmihalyi, M. Positive psychology: An introduction. (2000) - the Positive Psychology foundational article, where the science officially began to look at psychology not only from the perspective of coping with pathologies.

2. Lyubomirsky, S., Sheldon, K. M., & Schkade, D. Pursuing happiness: The architecture of sustainable change. (2005) - a dive into what makes people happy and what strategies can we take to help ourselves.

3. Akhtar, M. The Little Book of Happiness. (2019) - a small and lighthearted popular science book summarising the current state of research.

4. Adams, S. How to Fail at Almost Everything and Still Win Big. (2013) - some interesting points from the creator of Dilbert.

5. Amélie (2001) - a classic movie, which touches on so many happiness-related topics and does it so well.

6. My Dinner with Andre (1981) - an even more classic inspirational movie.

7. These papers support the existence of link between group survivability (group selection) and the selection of genes: the foundational "Group Selection" by V.C. Wynne-Edwards (1962), the more recent "Multilevel Selection Theory and Major Evolutionary Transitions" by D.S. Wilson and E. Sober (1994), and "Group Selection and Kin Selection" by E.O. Wilson and D.S. Wilson (2007).

While we found all the above very helpful, it does not mean that we fully agree with or endorse any of them. In addition to the above, we found numerous materials on positive thinking (both websites and articles), which we strongly disagreed with, yet the reading was inspiring. We are not listing them here to avoid picking and shaming one particular author.

## Discussion

COMMENT

\_

This was a great article! Thank you for sharing your deep thinking on the probably the most important topic. I would be curious on your further thoughts about approach awareness on negative emotions/thoughts. My current view is that this awareness, once it begins, could easily lead you to reporting much lower "life satisfaction". Realising that you are full of conflicting desires so that no matter which choice you make, a part of you will be abandoned, is challenging. Similarly challenging is trying to satisfy many of the conflicting (or even if not conflicting, many) desires. I think my current view is that ultimately all of our desires/fears are thought-forms that we've picked up from our environment (as you say, you can't crave durian without knowing about it), and that they get in the way of "true" happiness of the present moment and seeing the world as it is, rather than through our particular lens of fear/desire. That being said, I feel that the only way to that "clean slate" of mind is by following all of our fears and desires until we see them fully, which can often mean chasing them or running away. I imagine that babies are in this state before we cover them up, but they obviously lack the understanding of how to keep safe and alive. I think as we learned to keep safe and alive, we build up a lot of "rules" in our head that we haven't truly understood, and they cover our world. I imagine the basic process of this forming:

1. Baby sees candy on table, goes and grabs it and eats it.

2. Parent catches them in the middle, takes it, and tells them (or shouts) "you should not be stealing candy! never do that again".

3. Baby sees candy on table next time, starts to go and grab for it, but then has voice in head "you should not be stealing candy".

4. Without truly understanding why, baby avoid the candy and now lives a more conditioned, bounded life.

My hypotheses is that sorting ourselves internally may require removing all of the voices of "shoulds" and exploring them to our personal understanding of their truth. Or at the very least, being aware of the "why" as many things may not truly be safely experimental (stealing, being financially irresponsible, etc). The main point being, that we often relinquish understanding a problem truly for ourselves, and instead we quote an authority either from our study or from our head "early bird gets the worm", "don't leave for tomorrow what you can do today", "never lie", etc. All these statements floating through our heads often block us from seeing the world deeply enough to solve the new problems with new understanding. I say all of this largely quoting my own authorities that I have been convinced by! lol.

Anyways, I've rambled on long enough. I love the deep thinking and look forward to discussing further.

\_

REPLY

I think there are a few independent topics here:

1. A lot of our desires and fears are injected to us, without us realising it - I completely agree. Also agree that people would benefit from tracking those, building awareness of them and deciding if they want them, or not (and in that case: abandoning them, if possible - as getting rid of the unwanted ones is more difficult than it sounds).

2. We lack the cognitive power to understand everything fully without help from others. Given that the "others" have contradicting views and there is no consensus, we must choose who we listen to. The easiest strategy is to simply listen to those who are naturally around you, without any reflection - that's what happens usually. It might be controversial, but I think we may call it "local culture". I can think of two approaches which I think are better (can be combined together):

a) exploit the fact that it is difficult to come up with a model/understanding, but it's easier to validate an existing one. Simply try to get someone to convince you, instead of blindly absorbing their views. This is very difficult though, because even this validation is hard, time consuming and requires some basic knowledge of the given domain. It also requires effort. It will also inevitably at some point catapult you into a different land than your immediate environment, so you'll be a "weirdo" among the people you meet everyday. Yet, the most difficult part is that you must somehow come up with an idea that such a road of challenging authority is possible at all. But it's definitely a good strategy to find the truth.

b) try to build a tree of authority. Start with one person who you try to evaluate, e.g. based on how much you agree with them on the topic where you have a lot of knowledge. If you deeply agree with someone on one topic, there's a high chance that they put the same methodology to other domains in which they are experts and that you'd agree with them in those domains too. That person has friends who have friends and so on, and by this tree of relations you can assume that you can trust them too. For example, you read one newspaper and generally believe it, because you thoroughly checked a few of their articles (where it was possible to you) and you assume that this is a proper newspaper, as opposed to another one, which you caught lying in a few places.

There's science too, but I don't think it avoided these problems, contrary to common belief. It did strive to make it easier to follow the (a) path, by making the validation as easy for you as possible. It's also trying to follow the (b) path by assigning people scientific titles and giving them authority in this way. But nothing more. It's not automatically true, just easier to validate, but that validation is still hard for laymen, so eventually we have to also rely on the (b) approach too. I don't know any better way. I forgot to even mention that we can make research ourselves and I think we should as much as reasonably possible, in a lot of areas, to widen our horizons, and generally make the (a) and (b) approaches more effective. But on its own, I don't believe we can research everything ourselves (some people say that complicated.world looks as if we were trying to research everything from scratch, but that's certainly not true).

3. I don't share the view that the clean slate, mindfulness and calmness are the best possible states to be in. I genuinely believe that a lot of my desires are worth following and a lot of my fears are worth taking seriously, as they threaten something I deeply value. As much as I agree with you, that typically these desires are untrue and implanted on us, just to fit us into the system, I also feel that not all of these desires are such. Realising which ones are yours and which ones are not - I find this process immensely challenging, yet one of the most important ones in my life. Moreover, many of the desires which I believe are true were indeed picked up from the environment, but that doesn't mean that they are any less "mine" now - I just got convinced.

4. Spending time just looking at "negative" emotions and talking about them is indeed putting us in a lower mood for sure. Even though, I believe it is worth paying this price. I see the happiness as a non-linear function, where it's relatively easy to find a local maximum (i.e. avoid negativity, avoid problems, keep to routine), but it will only allow you to stay within a certain range of happiness. Let's say that -1 is the maximum unhappiness and 1 is the maximum happiness. This will allow you to stay above 0 for a long time, maybe even get close to 1. However, if you go the challenging path, work hard (hard work as in not necessarily being busy doing chores as typically the hard work is described, but by choosing the path which you're frightened and ashamed to take, but deep inside you know that it is the right path), listen to both positive and negative emotions, etc. you may fail completely, as this is a proper challenge, but you might also discover that life can give a lot more satisfaction than you previously was thinking, and that previous maximum "1" seems small and measly, while now you feel like you followed your true desires and you feel like you're at "17" at least.

COMMENT

\_

All the questions and problems you are discussing here have long been answered to. The scientific canon already exists and you are reinventing the wheel. Working on that is a waste of time.

\_

REPLY

As mentioned in the Introduction, our observation is that science tries to stay only on the objective and measurable grounds. This allowed it to develop without going around in circles endlessly arguing in disputes which have no single correct solution. Unfortunately, many of the everyday problems are neither objective nor measurable. In our experience this creates a gap, where we are left without strict scientific guidance. This gap is managed by politicians, publicists, bloggers, coaches, poets, and many others. Some of them doing incredibly useful work, while others mainly tring to manipulate the audience. We think that this domain is far from being well-established, well-understood, from being a complete canon, or anything on par with science-level review articles. Orientating oneself in such a field either requires plenty of independent research, or leads to just letting go and listening to one source which conviniently presents a coherent view of the world. If you are aware of other works which try to methodically dive into such high-level problems, we are very curious to hear about them. Most that we've seen were blogs (to some extent similar to this webpage, but not necessarily repeating/reinventing the same information).

COMMENT

\_

People disagree with each other because they have different beliefs. There is no way to find a single "correct" way, and that's why we have politics. There is no place for logical reasoning here.

\_

REPLY

You seem to say that the only reason for politics (and generally speaking disagreements, wars, etc.) is genuine difference in beliefs (ground truths), which come deeply from the heart and as such are not subject to intellect or logic. In my observation, these beliefs are not all similar in nature. Some are truly foundational like "I like people" / "I'm indifferent whether people exist or are happy", however there are plenty of higher-level thoughts, to give an example from the other extreme on that axis: "I like party X" / "I think party X are all thieves", which are very often described also as beliefs, but in fact, they can be subject to division into smaller components using pure logical process, until eventually you reach the much more foundational level of beliefs. What I've observed is that people are unaware of the fact that their beliefs can be analysed this way and instead just fallback to "we just disagree on beliefs, we will never agree". This is a useful method of manipulating people, to divide them into groups which believe that are opponents, while in reality they needn't be. There are also other reasons for disagreements, like a conflict of interests, which is also not a lost case, and humanity invented some solutions to that too. These solutions tend to be complicated and fragile, possibly also worth spreading knowledge of.

COMMENT

\_

People were thinking about these problems for ages. That also includes the methods of discussing them. If there was a better solution, it would already be found. You are chasing a holy grail, which doesn't exist. Even if there is a better way, it is perhaps foolish to believe that you can discover it here, as many people tried before, so at this stage it most likely requires a lot of research effort.

\_

REPLY

Solutions have greatly changed over the history, and they significantly differ from each other across different cultures. I don't see any global consensus on the problem of how to live a happy life, or other problems described on this website. We present the results of our independent research, taking into account the current views from different cultures, scientific studies, our own experiences and internal discussions. We present the results of such work not as a definitive answer, but as one more answer, which hopefully might be inspiring or helpful to someone. I agree that an ideal solution might not be discovered, but that shouldn't stop us from trying to ever so slightly improve the current state.

COMMENT

\_

You make an assumption that human life rests on foundation of happiness and run with it without analyzing it.

Why not consider if happiness even exists in truth? And not just a temporary state like sugar spike.

Now that would be an interesting read.

\_

REPLY

(We had a lot of similar comments, including about happiness definition). This is a slightly longer topic, but in summary, we've found many definitions of happiness. It's commonly used interchangeably with joy, as a relatively short-term sensation of rapture, laughter, and glee. On the other hand, it is also sometimes understood as an overall sum of all life satisfaction and in this meaning often it is called well-being. The meaning that we had on mind in the article is the latter, i.e. well-beaing, rather than joy. The reason why we chose not to use the term well-being, and decided to use happiness is that well-being in our opinion is a too broad and too vague, specifically one which typically includes the physical fitness directly, not only via psychological lens. That psychological perspective is precisely what we wanted to capture and we did not find a better term than happiness, but since it might be ambiguous we also provided our specific definition of what we mean. As such, it is merely a definition, you might like or not like it, but it's not conveying any hidden thesis (i.e. it is not a veiled attempt to say that the sensation of joy is the goal of our life).

Now, coming to the second part: what if the feeling of happiness is just a delusion, something like a sugar spike, having nothing in common with life goals. Let's look at our conscious selves as a black box with inputs (observations, feelings) and outputs (decisions) and some algorithm inside (the mythical "me") tying the inputs with the outputs. From the point of view of an external observer, that's how we could describe consciousness - with a small simplification, because that algorithm inside can be also maniputaled by external factors, other than just the inputs, e.g. by drugs, or mental disorders. With this simplification in mind, it is interesting to look at consciousness from this perspective, possibly a highest-possible abstraction level. Now, it is a new assumption, that the algorithm inside this black box understands that its outputs (decisions) have consequences, which impacts its inputs (feelings) which as a concept we call feedback loop. Yet another new assumption is that this algorithm is aiming to optimise some of its inputs. In summary, that we want to achieve something, whatever it be. That there are some states which are desired and some states which are not desired. Proving that the above two assumptions are correct is something which could be pursued further, but since they seem pretty natural to us, at this point we leave them as they are. The desired states are complex and contradicting each other, but taking all things into consideration, we can aggregate them into one function. This function needs some name and we chose to call it happiness, as described earlier. In this light, it doesn't really matter whether the input to our consciousness was created by a sugar spike, any chemical reaction in our brain, electric impulse, or whatever other mechanism - it's an input nevertheless. Please note that in all the above reasoning we put to the side the "qualia" aspect of consciousness, because it doesn't look to impact the reasoning, but it doesn't mean that we reject this concept, as consciousness in a wider meaning is an extraordinary phenomenon.

COMMENT

\_

All efforts towards positive change, in the long run, will work against us. Altruistic help to others can eventually lead to being taken advantage of and to loneliness when circumstances change and no one is around. Working on being independent may one day lead to longing for contact and interdependence with others. Letting go of fear and being carefree makes you happy, but one day it may lead to making very unfavorable decisions. Our lives seem to be built on opposites.

\_

REPLY

Every rule taken to the extreme ceases to make sense. It's always necessary to pay attention to balance: we need both independence and relationships. Both a sense of security and the courage to follow curiosity. Besides, even when we find the perfect balance, we don't have control over everything, and things can always go wrong. However, this does not mean that we have no influence on happiness, especially on increasing or decreasing the likelihood of it.

Regarding good deeds, the point of doing them is not that they will benefit us in the future. That's how investments work. Good deeds are those that give us immediate satisfaction because we helped someone and that's exactly what we wanted to do, not because someone is grateful for it. To clarify, this does not mean that we cannot expect gratitude - it is a useful strategy because it allows for building more symmetrical relationships, but it is not necessary for the joy of doing good deeds itself and is loosely related to this idea.
