---
{"dg-publish":true,"permalink":"/bookmarks/ideas-and-theories/parkinson-s-law/","tags":["halloffame","mind","productivity","work"]}
---


# What Is Parkinson's Law?

​

 Summary

Parkinson’s Law states that work expands to fill the time available, leading to procrastination and increased complexity. To avoid falling victim to this law, strategies such as careful planning, realistic deadlines, and breaking tasks into smaller steps can be effective. By being aware of Parkinson’s Law and implementing these strategies, individuals can optimize their time management and productivity.

​

![_resources/Parkinson’s Law/5deefd9393c51070406ce1053dfe7ee9_MD5.jpg](/img/user/_resources/Parkinson%E2%80%99s%20Law/5deefd9393c51070406ce1053dfe7ee9_MD5.jpg)

Westend61 / Getty Images

Parkinson’s law is an axiom that states: “==Work expands so as to fill the time available for its completion==.” In other words, things become harder to complete when more time is given to complete it as the build-up to the task becomes stressful and daunting. The adage was named for Cyril Northcote Parkinson, who first described the phenomenon in a 1955 humor essay published in “The Economist.”1

Parkinson’s law is not a scientific principle. Instead, it is an observation of a phenomenon that many people have experienced. As first described by Parkinson, it can explain the expansion of organizations or bureaucracies. However, it can also be a helpful way to think about other types of work, including personal productivity.

## Understanding Parkinson’s Law 

The main premise of Parkinson’s law is that the complexity of a task tends to grow the more time is allotted for its completion.

### An Example of How This Law Works

For example, if you give yourself a week to finish something that would only take an hour to complete, then that one-hour task will grow in complexity, requiring more time and resources than were originally needed.

==Parkinson's law can also lead people to procrastinate==, leaving tasks until right before they are due. You might initially feel relieved that you have plenty of time to finish a project, only to put it off as long as possible.

This expansion means that tasks become even more daunting, requiring much more mental energy. This means that they frequently become a source of [stress](https://www.verywellmind.com/stress-and-health-3145086)and anxiety. 

When you find yourself finishing the task, you might feel a sense of relief ==but also wonder why the project became so much more of a burden in your mind than it was in real life==. The “extra time” that the task requires often isn’t related to the task itself—it’s mental stress caused by worrying about getting it done.

## Giving Yourself Too Much Time Can Backfire 

In Parkinson’s original example, a woman’s sole task for the day was to mail a postcard. As a result of having the entire day to complete the simple task, the amount of work and time required expanded to fill the whole day.

The fictional woman spends a half-hour searching for her reading glasses. Writing the postcard takes another two hours. More time is spent finding a stamp, writing the address, and walking the postcard to the post office. 

While Parkinson’s original example was exaggerated for humous effect, it also clearly illustrated how giving yourself too much time to do a simple task makes it more complex and time-consuming.

Some researchers have proposed that Parkinson's law can also apply to how fast and how much people benefit from psychotherapy. For example, brief psychotherapies that involve establishing a set completion date might result in the "work" expanding to fill the time available.2

## Explanations for Parkinson's Law 

One reason why this phenomenon happens lies in how people tend to approach tasks. ==Research indicates that when people start a new project, they tend to focus on how much time they have available to do it instead of how much time the task would take to complete.3==

This approach naturally means that tasks become more time-consuming and onerous than they likely are. By focusing on how much time we have to do something, we assume that the task will require that much time.

## How to Avoid Falling Victim to Parkinson’s Law 

Parkinson’s law isn’t a magic formula or a fixed rule. But it is an observation you can use to help you become more productive. Some strategies that can help you make the most of your time without falling victim to Parkinson’s law include.

### Plan Your Time Carefully 

When you have a lot of time to complete a task, it’s easy to push it off until later. But if you plan your time carefully and set deadlines for yourself, you can avoid falling into the [procrastination](https://www.verywellmind.com/the-psychology-of-procrastination-2795944) trap.

### Write Down Your Goals 

Whatever your goal happens to be, write it down. Track your progress by regularly checking in and noting the progress you've made, what still needs to be done, and whether your final goal has changed at all over the course of the project.4

This type of reflective goal-tracking not only helps keep you accountable, but it can also help you better [visualize](https://www.verywellmind.com/visualization-for-relaxation-2584112) your progress, your remaining work, and whether or not the project is appearing more daunting than it really is.

### Set Realistic Deadlines 

Avoid setting arbitrary deadlines and instead focus on how long each aspect of the project actually takes. Instead, think about how long a task will realistically take to complete. While this might not always be clear, consider past experiences as a guide. Instead of focusing on a date in the future when the task must be done by, think about how soon you can get it done and out of your way.

When you have a clear understanding of how long a task should take, you can avoid the tendency to expand the work to fill the time you have available.

### Prioritize Your Tasks 

If you have a lot of tasks to complete, it’s important to prioritize them. By identifying which tasks are most important, you can ensure that you focus on them first and not get bogged down by less important tasks.

### Use a Timer 

One effective way to avoid Parkinson’s law is to use a timer. When you know that you only have a certain amount of time to complete a task, you’re less likely to expand the work to fill the available time.

### Break Tasks Down 

Break larger projects into smaller tasks and give yourself self-imposed deadlines throughout the project. When facing a big project, it can often seem more daunting and time-consuming than it actually is. Instead of making progress, you might feel overwhelmed and unsure where to begin.

Chunking is an effective solution that involves breaking up a larger project into smaller, more manageable steps. This strategy can help you work more effectively and may reduce the impact of Parkinson's law by speeding up your progress.5

### Take Regular Breaks 

When you’re working on a project, it’s important to take regular breaks. This will help you avoid burnout and keep your mind fresh. Try working on a project during your most productive period and [take a break](https://www.verywellmind.com/why-you-should-take-a-break-3144576) when you start to feel distracted or less motivated. Just make sure that you don’t use the break as an excuse to procrastinate. 

### Recap

Strategies that can help you combat Parkinson's law include planning your time, writing down goals, using realistic deadlines, and prioritizing tasks. Breaking tasks into smaller steps and setting a time to focus on each step can also help.

## Use Time Management Strategies 

You can also use many different [time management strategies](https://www.verywellmind.com/how-to-use-time-blocking-to-manage-your-day-4797509) to avoid Parkinson’s law. Using these strategies, you can ensure that you make the most of your time and avoid expanding the work to fill the time you have available.

Strategies that can help you manage your time wisely include:

- Utilizing a [daily planner](https://www.verywellmind.com/adhd-friendly-daily-planner-tips-20902) and other tools such as time trackers and reminders
- Setting aside time for specific tasks and blocking out distractions
- [Having a routine](https://www.verywellmind.com/morning-routine-4174576)
- Getting organized, so you don't have to waste time looking for important items
- Avoiding [multitasking](https://www.verywellmind.com/multitasking-2795003), which reduces productivity and takes up more time

Research suggests that time management can positively affect productivity—but it actually has an even stronger impact on well-being. Learning to manage your time well can reduce emotional exhaustion, stress, and work-life conflict.6

## A Word From Verywell 

While Parkinson’s law is a phenomenon that can lead to wasted time and inefficient work, it doesn’t have to be a problem if you’re aware of it. Using some of the strategies above, you can avoid falling victim to Parkinson’s law and make the most of your time.

By [Kendra Cherry, MSEd](https://www.verywellmind.com/kendra-cherry-2794702)  
Kendra Cherry, MS, is a psychosocial rehabilitation specialist, psychology educator, and author of the "Everything Psychology Book."
