---
{"dg-publish":true,"permalink":"/bookmarks/literature-writing-poetry/can-reading-maake-you-happier/","tags":["books","health","literature","mind","techniques"]}
---


# [Can Reading Make You Happier?](https://www.newyorker.com/culture/cultural-comment/can-reading-make-you-happier?ref=dailydev)

## Summary

> [!NOTE]
>
> The article discusses the practice of bibliotherapy, which involves using literature as a form of therapy to help people cope with various emotional and psychological issues. The author highlights the work of two bibliotherapists Berthoud and Elderkin, who have been practicing this method for over twenty years.
>
> Berthoud and Elderkin met at Cambridge University and bonded over their shared love of books. They began recommending to each other as a way to cope with personal issues, such as heartbreak or career uncertainty. As their friendship developed, they started prescribing novels to friends and family members who were struggling with similar problemsThe two women eventually pitched the idea of running a bibliotherapy clinic to Alain de Botton, a philosopher and friend from Cambridge. De Botton was interested in starting the School of Life, and saw the potential for bibliotherapy as a valuable addition to his program.
>
> Berthoud and Elderkin's approach to bibliotherapy is centered on using fiction as a transformative experience. They believe that literature has power to heal and inspire people, and they have developed a network of trained bibliotherapists who work with clients around the world.
>
> The most common issues that people bring bibliotherapists are to life transitions, such as career uncertainty or relationship problems. Many retirees also seek help adjusting to their new role in life, and some parents look for guidance on how to navigate the challenges of parenthood.
>
> Berthoud and Elderkin have developed a range of strategies for recommending novels that can help people cope with specific issues. For example, they might recommend "Room Temperature" by Nicholson Baker for someone with the responsibilities of fatherhood, or "To Kill a Mockingbird" for someone looking for guidance on how to be a good parent.
>
> Overall, the article highlights the potential of bibliotherapy as form of therapy that can help people cope with a range of emotional and psychological issues. By using literature as a tool for healing and growth, bibliotherapists like Berthoud and Elderkin are people to find new ways of thinking about themselves and their place in the world.
>
> The article also mentions the history of bibliotherapy, which dates back to ancient Greece and was later used by Sigmund during psychoanalysis sessions. After World War I, libr were trained to give books to veterans as a form of therapy, and the practice has continued to evolve over time.
>
> Today, there is a of trained bibliotherapists working around the world, affiliated with the School of Life. They work with clients who are struggling with a range of issues, from career uncertainty to relationship problems, and they use literature as a tool for healing and growth.

## Original article

Several years ago, I was given as a gift a remote session with a bibliotherapist at the London headquarters of the School of Life, which offers innovative courses to help people deal with the daily emotional challenges of existence. I have to admit that at first I didn’t really like the idea of being given a reading “prescription.” I’ve generally preferred to mimic Virginia Woolf’s passionate commitment to serendipity in my personal reading discoveries, delighting not only in the books themselves but in the randomly meaningful nature of how I came upon them (on the bus after a breakup, in a backpackers’ hostel in Damascus, or in the dark library stacks at graduate school, while browsing instead of studying). I’ve long been wary of the peculiar evangelism of certain readers: You must read this, they say, thrusting a book into your hands with a beatific gleam in their eyes, with no allowance for the fact that books mean different things to people—or different things to the same person—at various points in our lives. I loved John Updike’s stories about the Maples in my twenties, for example, and hate them in my thirties, and I’m not even exactly sure why.

But the session was a gift, and I found myself unexpectedly enjoying the initial questionnaire about my reading habits that the bibliotherapist, Ella Berthoud, sent me. Nobody had ever asked me these questions before, even though reading fiction is and always has been essential to my life. I love to gorge on books over long breaks—I’ll pack more books than clothes, I told Berthoud. I confided my dirty little secret, which is that I don’t like buying or owning books, and always prefer to get them from the library (which, as I am a writer, does not bring me very good book-sales karma). In response to the question “What is preoccupying you at the moment?,” I was surprised by what I wanted to confess: I am worried about having no spiritual resources to shore myself up against the inevitable future grief of losing somebody I love, I wrote. I’m not religious, and I don’t particularly want to be, but I’d like to read more about other people’s reflections on coming to some sort of early, weird form of faith in a “higher being” as an emotional survival tactic. Simply answering the questions made me feel better, lighter.

We had some satisfying back-and-forths over e-mail, with Berthoud digging deeper, asking about my family’s history and my fear of grief, and when she sent the final reading prescription it was filled with gems, none of which I’d previously read. Among the recommendations was “The Guide,” by R. K. Narayan. Berthoud wrote that it was “a lovely story about a man who starts his working life as a tourist guide at a train station in Malgudi, India, but then goes through many other occupations before finding his unexpected destiny as a spiritual guide.” She had picked it because she hoped it might leave me feeling “strangely enlightened.” Another was “The Gospel According to Jesus Christ,” by José Saramago: “Saramago doesn’t reveal his own spiritual stance here but portrays a vivid and compelling version of the story we know so well.” “Henderson the Rain King,” by Saul Bellow, and “Siddhartha,” by Hermann Hesse, were among other prescribed works of fiction, and she included some nonfiction, too, such as “The Case for God,” by Karen Armstrong, and “Sum,” by the neuroscientist David Eagleman, a “short and wonderful book about possible afterlives.”

I worked my way through the books on the list over the next couple of years, at my own pace—interspersed with my own “discoveries”—and while I am fortunate enough to have my ability to withstand terrible grief untested, thus far, some of the insights I gleaned from these books helped me through something entirely different, when, over several months, I endured acute physical pain. The insights themselves are still nebulous, as learning gained through reading fiction often is—but therein lies its power. In a secular age, I suspect that reading fiction is one of the few remaining paths to transcendence, that elusive state in which the distance between the self and the universe shrinks. Reading fiction makes me lose all sense of self, but at the same time makes me feel most uniquely myself. As Woolf, the most fervent of readers, wrote, a book “splits us into two parts as we read,” for “the state of reading consists in the complete elimination of the ego,” while promising “perpetual union” with another mind.

Bibliotherapy is a very broad term for the ancient practice of encouraging reading for therapeutic effect. The first use of the term is usually dated to a jaunty 1916 article in _The Atlantic Monthly_, “A Literary Clinic.” In it, the author describes stumbling upon a “bibliopathic institute” run by an acquaintance, Bagster, in the basement of his church, from where he dispenses reading recommendations with healing value. “Bibliotherapy is…a new science,” Bagster explains. “A book may be a stimulant or a sedative or an irritant or a soporific. The point is that it must do something to you, and you ought to know what it is. A book may be of the nature of a soothing syrup or it may be of the nature of a mustard plaster.” To a middle-aged client with “opinions partially ossified,” Bagster gives the following prescription: “You must read more novels. Not pleasant stories that make you forget yourself. They must be searching, drastic, stinging, relentless novels.” (George Bernard Shaw is at the top of the list.) Bagster is finally called away to deal with a patient who has “taken an overdose of war literature,” leaving the author to think about the books that “put new life into us and then set the life pulse strong but slow.”

Today, bibliotherapy takes many different forms, from literature courses run for prison inmates to reading circles for elderly people suffering from dementia. Sometimes it can simply mean one-on-one or group sessions for “lapsed” readers who want to find their way back to an enjoyment of books. Berthoud and her longtime friend and fellow bibliotherapist Susan Elderkin mostly practice “affective” bibliotherapy, advocating the restorative power of reading fiction. The two met at Cambridge University as undergraduates, more than twenty years ago, and bonded immediately over the shared contents of their bookshelves, in particular Italo Calvino’s novel “If on a Winter’s Night a Traveller,” which is itself about the nature of reading. As their friendship developed, they began prescribing novels to cure each other’s ailments, such as a broken heart or career uncertainty. “When Suse was having a crisis about her profession—she wanted to be a writer, but was wondering if she could cope with the inevitable rejection—I gave her Don Marquis’s ‘Archy and Mehitabel’ poems,” Berthoud told me. “If Archy the cockroach could be so dedicated to his art as to jump on the typewriter keys in order to write his free-verse poems every night in the New York offices of the _Evening Sun,_ then surely she should be prepared to suffer for her art, too.” Years later, Elderkin gave Berthoud,who wanted to figure out how to balance being a painter and a mother, Patrick Gale’s novel “Notes from an Exhibition,” about a successful but troubled female artist.

They kept recommending novels to each other, and to friends and family, for many years, and, in 2007, when the philosopher Alain de Botton, a fellow Cambridge classmate, was thinking about starting the School of Life, they pitched to him the idea of running a bibliotherapy clinic. “As far as we knew, nobody was doing it in that form at the time,” Berthoud said. “Bibliotherapy, if it existed at all, tended to be based within a more medical context, with an emphasis on self-help books. But we were dedicated to fiction as the ultimate cure because it gives readers a transformational experience.”

Berthoud and Elderkin trace the method of bibliotherapy all the way back to the Ancient Greeks, “who inscribed above the entrance to a library in Thebes that this was a ‘healing place for the soul.’ ” The practice came into its own at the end of the nineteenth century, when Sigmund Freud began using literature during psychoanalysis sessions. After the First World War, traumatized soldiers returning home from the front were often prescribed a course of reading. “Librarians in the States were given training on how to give books to WWI vets, and there’s a nice story about Jane Austen’s novels being used for bibliotherapeutic purposes at the same time in the U.K.,” Elderkin says. Later in the century, bibliotherapy was used in varying ways in hospitals and libraries, and has more recently been taken up by psychologists, social and aged-care workers, and doctors as a viable mode of therapy.

There is now a network of bibliotherapists selected and trained by Berthoud and Elderkin, and affiliated with the School of Life, working around the world, from New York to Melbourne. The most common ailments people tend to bring to them are the life-juncture transitions, Berthoud says: being stuck in a rut in your career, feeling depressed in your relationship, or suffering bereavement. The bibliotherapists see a lot of retirees, too, who know that they have twenty years of reading ahead of them but perhaps have only previously read crime thrillers, and want to find something new to sustain them. Many seek help adjusting to becoming a parent. “I had a client in New York, a man who was having his first child, and was worried about being responsible for another tiny being,” Berthoud says. “I recommended ‘Room Temperature,’ by Nicholson Baker, which is about a man feeding his baby a bottle and having these meditative thoughts about being a father. And of course 'To Kill a Mockingbird,' because Atticus Finch is the ideal father in literature.”
