---
{"dg-publish":true,"permalink":"/bookmarks/literature-writing-poetry/ex-library-delights/","tags":["books","interesting","money"]}
---


# [Discarded delights: The joy of ex-library books](https://www.abebooks.com/books/ex-library-books)

Let's start with the definition. An **ex-library book** is a book that once belonged to a public library or institution and has been 'discarded' after being deemed no longer useful. These books often gravitate into the hands of used booksellers and end up [for sale](https://www.abebooks.com/servlet/SearchResults?sts=t&an=&tn=&kn=%22ex+library%22&isbn=) on online marketplaces such as AbeBooks.

A 'friends of the library' sale is also the obvious place to find ex-library copies and an excellent way to support a worthy cause. It's important to remember that a book described as ex-libris is something different. Ex Libris, a Latin phrase, means "from the library of" and describes a book that comes from a personal library.

An ex-library book will carry some sort of marking indicating the name of library that previously owned it. It could be a stamp, or a barcode label, or an 'old school' pocket for the checkout card. It will also probably carry some sort of stamp bearing the word 'discarded' or 'withdrawn', or the barcode has been obscured with a pen.

Sadly, ex-library books have a poor reputation because an old library book can have many miles on the clock and there is also a lot of them available online. It's true that they may have been read numerous times. However, remember publishers produce '[library editions](https://www.abebooks.com/servlet/SearchResults?bi=0&bx=off&ds=30&kn=%22library+edition%22&pics=on&recentlyadded=all&sortby=17)' with sturdier bindings to withstand being handled and reshelved many times.

I have been buying ex-library books for years. I love them because they are cheap and finding a bargain always brings a smile to my cheapskate face. They are nearly always hardcovers. You might be able to locate a cheap reading copy of a book that is scarce and expensive, perhaps even a first edition. Those cheap prices also mean that book ownership is accessible to readers without much money.

I particularly like books that have been discarded by university libraries where the subject matter is diverse or even niche. There's a good chance that many of these discards will be out-of-print. But that doesn't mean their content isn't incredibly useful to someone

Sometimes it is possible find lightly used ex-library books. In the office, we have a copy of [Book Collecting: A Modern Guide](https://www.abebooks.com/servlet/SearchResults?sts=t&an=&tn=Book+Collecting%3A+A+Modern+Guide&kn=+Jean+Peters+&isbn) edited by Jean Peters - according to its pocket, the book was checked out four times since November 1979. Thank you patrons of Saddleback College Library in Mission Viejo, California. Your book is in good hands. We recently bought a copy of [Reel Art: Great Posters of the Golden Age of the Silver Screen](https://www.abebooks.com/servlet/SearchResults?sts=t&an=Stephen+Rebello+Richard+Allen&tn=Reel+Art%3A+Great+Posters+of+the+Golden+Age+of+the+Silver+Screen&kn=&isbn=) by Stephen Rebello and Richard Allen - a large reference book packed with beautiful illustrations of posters. The dust jacket is long gone to the great library in the sky but the book was only checked out 16 times since 1997 - again, many thanks to the Art Center College of Design in Pasadena, California.

I enjoy the idea of ownership being indicated in books and that includes ex-library copies. It shows that a book had a previous life, helping students or readers, and now it's helping me. Physical books are designed to last for a long time and should, arguably, have multiple owners. I don't recommend purchasing ex-library copies of immensely popular novels. [Dan Browns](https://www.abebooks.com/servlet/SearchResults?sts=t&an=Dan+Brown&tn=&kn=&isbn=), [Stephen Kings](https://www.abebooks.com/servlet/SearchResults?an=Stephen+King&bi=0&bx=off&ds=30&recentlyadded=all&sortby=17&sts=t) and [Lee Childs](https://www.abebooks.com/servlet/SearchResults?an=Lee+Child&bi=0&bx=off&ds=30&kn=Reacher&recentlyadded=all&sortby=17&sts=t) are constantly out on loan from public libraries and those books take a real beating. The same goes for children's books which are heavily used inside the library without even being checked out.

Ex-library books are rarely collectible. Since condition is vital for collectors, you are going to come across books with torn or lost dust jackets, cloudy and smeared protective sleeves (mylar covers are easy to replace though), and general shelf wear. However, they can still be useful to collectors in terms of reference material or simply filling gaps in a collection until you find something in better condition.

Library barcode stickers and pockets are difficult to remove from an ex-library copy which puts off some people. Libraries firmly attach those things so they won't fall off or be peeled off by book thieves. I have never tried to remove any of these markings because I do not wish to damage the book.

Some people also have problems with handling books that have been used by a large number of people. To my knowledge, no-one has ever died from reading a library book.

As long as libraries are around (and we hope and pray that is going to be for a long time yet), then ex-library books are going to be part of the [used book](https://www.abebooks.com/books/used-books.shtml) world.
