---
{"dg-publish":true,"permalink":"/bookmarks/ideas-and-theories/jevons-paradox/","tags":["bestpractices","coding","ideas","interesting","productivity","theory","work"]}
---


# [Jevons paradox - Wikipedia](https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1#)

Efficiency leads to increased demand

[<img alt="Engraving of a view of Manchester from a distance, showing factories, smokestacks, and smoke." src="//upload.wikimedia.org/wikipedia/commons/thumb/4/42/CottonopolisCropped.jpg/300px-CottonopolisCropped.jpg" height="214" width="300" />](https://en.wikipedia.org/wiki/File:CottonopolisCropped.jpg)Coal-burning factories in [19th-century Manchester](https://en.wikipedia.org/wiki/Cottonopolis), England. Improved technology allowed coal to fuel the [Industrial Revolution](https://en.wikipedia.org/wiki/Industrial_Revolution), greatly increasing the consumption of coal.

In economics, the **Jevons paradox** (; sometimes **Jevons effect**) occurs when [technological progress](https://en.wikipedia.org/wiki/Technological_change) increases the [efficiency](https://en.wikipedia.org/wiki/Efficiency) with which a [resource](<https://en.wikipedia.org/wiki/Resource_(economics)>) is used (reducing the amount necessary for any one use), but the falling cost of use [induces increases in demand](https://en.wikipedia.org/wiki/Induced_demand) enough that resource use is increased, rather than reduced.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>1<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1#cite_note-2"><span>[</span>2<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>3<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>4<span>]</span></a></sup> Governments, both historical and modern, typically expect that energy efficiency gains will lower [energy consumption](https://en.wikipedia.org/wiki/Resource_consumption), rather than expecting the Jevons paradox.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>5<span>]</span></a></sup>

In 1865, the English economist [William Stanley Jevons](https://en.wikipedia.org/wiki/William_Stanley_Jevons) observed that technological improvements that increased the efficiency of coal use led to the increased consumption of coal in a wide range of industries. He argued that, contrary to common intuition, technological progress could not be relied upon to reduce fuel consumption.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>6<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>7<span>]</span></a></sup>

The issue has been re-examined by modern economists studying consumption [rebound effects](<https://en.wikipedia.org/wiki/Rebound_effect_(conservation)>) from improved [energy efficiency](https://en.wikipedia.org/wiki/Efficient_energy_use). In addition to reducing the amount needed for a given use, improved efficiency also lowers the relative cost of using a resource, which increases the quantity demanded. This may counteract (to some extent) the reduction in use from improved efficiency. Additionally, improved efficiency increases real incomes and accelerates [economic growth](https://en.wikipedia.org/wiki/Economic_growth), further increasing the demand for resources. The Jevons paradox occurs when the effect from increased demand predominates, and the improved efficiency results in a faster rate of resource utilization.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>7<span>]</span></a></sup>

Considerable debate exists about the size of the rebound in energy efficiency and the relevance of the Jevons paradox to [energy conservation](https://en.wikipedia.org/wiki/Energy_conservation). Some dismiss the effect, while others worry that it may be self-defeating to pursue [sustainability](https://en.wikipedia.org/wiki/Sustainability) by increasing energy efficiency.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>5<span>]</span></a></sup> Some environmental economists have proposed that efficiency gains be coupled with conservation policies that keep the cost of use the same (or higher) to avoid the Jevons paradox.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>8<span>]</span></a></sup> Conservation policies that increase cost of use (such as [cap and trade](https://en.wikipedia.org/wiki/Cap_and_trade) or [green taxes](https://en.wikipedia.org/wiki/Green_taxes)) can be used to control the rebound effect.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>9<span>]</span></a></sup>

[<img alt="Engraving of William Stanley Jevons" src="//upload.wikimedia.org/wikipedia/commons/thumb/2/23/PSM_V11_D660_William_Stanley_Jevons.jpg/220px-PSM_V11_D660_William_Stanley_Jevons.jpg" height="294" width="220" />](https://en.wikipedia.org/wiki/File:PSM_V11_D660_William_Stanley_Jevons.jpg)[William Stanley Jevons](https://en.wikipedia.org/wiki/William_Stanley_Jevons), after whom the effect is named

The Jevons paradox was first described by the English economist [William Stanley Jevons](https://en.wikipedia.org/wiki/William_Stanley_Jevons) in his 1865 book _[The Coal Question](https://en.wikipedia.org/wiki/The_Coal_Question)_. Jevons observed that [England](https://en.wikipedia.org/wiki/England)'s consumption of [coal](https://en.wikipedia.org/wiki/Coal) soared after [James Watt](https://en.wikipedia.org/wiki/James_Watt) introduced the [Watt steam engine](https://en.wikipedia.org/wiki/Watt_steam_engine), which greatly improved the efficiency of the coal-fired [steam engine](https://en.wikipedia.org/wiki/Steam_engine) from [Thomas Newcomen](https://en.wikipedia.org/wiki/Thomas_Newcomen)'s earlier design. Watt's innovations made coal a more cost-effective power source, leading to the increased use of the steam engine in a wide range of industries. This in turn increased total coal consumption, even as the amount of coal required for any particular application fell. Jevons argued that improvements in [fuel efficiency](https://en.wikipedia.org/wiki/Fuel_efficiency) tend to increase (rather than decrease) fuel use, writing: "It is a confusion of ideas to suppose that the economical use of fuel is equivalent to diminished consumption. The very contrary is the truth."<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>6<span>]</span></a></sup>

At that time, many in Britain worried that coal reserves were rapidly dwindling, but some experts opined that improving technology would reduce coal consumption. Jevons argued that this view was incorrect, as further increases in efficiency would tend to increase the use of coal. Hence, improving technology would tend to increase the rate at which England's coal deposits were being depleted, and could not be relied upon to solve the problem.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>6<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>7<span>]</span></a></sup>

Although Jevons originally focused on coal, the concept has since been extended to other resources, e.g., [water usage](https://en.wikipedia.org/wiki/Water_use).<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti10"><span>[</span>10<span>]</span></a></sup> The Jevons paradox is also found in [socio-hydrology](https://en.wikipedia.org/wiki/Socio-hydrology), in the safe development paradox called the _reservoir effect_, where construction of a reservoir to reduce the risk of water shortage can instead exacerbate that risk, as increased water availability leads to more development and hence more water consumption.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti11"><span>[</span>11<span>]</span></a></sup>

[<img alt="Diagram showing a shallow demand curve, where a drop in price from $100 to $80 causes quantity to increase from 10 to 14" src="//upload.wikimedia.org/wikipedia/commons/thumb/1/1f/ElasticDemand.svg/320px-ElasticDemand.svg.png" height="226" width="320" />](https://en.wikipedia.org/wiki/File:ElasticDemand.svg)_Elastic Demand_: A 20% increase in efficiency causes a 40% increase in travel. Fuel consumption increases and the Jevons paradox occurs.[<img alt="Diagram showing a steep demand curve, where a drop in price from $100 to $80 causes quantity to increase from 10 to 11" src="//upload.wikimedia.org/wikipedia/commons/thumb/5/59/InelasticDemand.svg/320px-InelasticDemand.svg.png" height="226" width="320" />](https://en.wikipedia.org/wiki/File:InelasticDemand.svg)_Inelastic Demand_: A 20% increase in efficiency causes a 10% increase in travel. The Jevons paradox does not occur.

Economists have observed that consumers tend to travel more when their cars are more fuel efficient, causing a 'rebound' in the [demand](<https://en.wikipedia.org/wiki/Demand_(economics)>) for fuel.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>12<span>]</span></a></sup> An increase in the efficiency with which a resource (e.g. fuel) is used causes a decrease in the [cost](https://en.wikipedia.org/wiki/Cost) of using that resource when measured in terms of what it can achieve (e.g. travel). Generally speaking, a decrease in the cost (or price) of a [good or service](https://en.wikipedia.org/wiki/Goods_and_services) will increase the quantity demanded (the [law of demand](https://en.wikipedia.org/wiki/Law_of_demand)). With a lower cost for travel, consumers will travel more, increasing the demand for fuel. This increase in demand is known as the [rebound effect](<https://en.wikipedia.org/wiki/Rebound_effect_(conservation)>), and it may or may not be large enough to offset the original drop in fuel use from the increased efficiency. The Jevons paradox occurs when the rebound effect is greater than 100%, exceeding the original efficiency gains.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>7<span>]</span></a></sup>

The size of the direct rebound effect is dependent on the [price elasticity of demand](https://en.wikipedia.org/wiki/Price_elasticity_of_demand) for the good.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti13"><span>[</span>13<span>]</span></a></sup> In a perfectly competitive market where fuel is the sole input used, if the price of fuel remains constant but efficiency is doubled, the effective price of travel would be halved (twice as much travel can be purchased). If in response, the amount of travel purchased more than doubles (i.e. demand is [price elastic](https://en.wikipedia.org/wiki/Price_elastic)), then fuel consumption would increase, and the Jevons paradox would occur. If demand is price inelastic, the amount of travel purchased would less than double, and fuel consumption would decrease. However, goods and services generally use more than one type of input (e.g. fuel, labour, machinery), and other factors besides input cost may also affect price. These factors tend to reduce the rebound effect, making the Jevons paradox less likely to occur.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>7<span>]</span></a></sup>

## Khazzoom–Brookes postulate

[[edit](https://en.wikipedia.org/w/index.php?title=Jevons_paradox&action=edit&section=3)]

In the 1980s, economists Daniel Khazzoom and Leonard Brookes revisited the Jevons paradox for the case of society's [energy use](https://en.wikipedia.org/wiki/World_energy_consumption). Brookes, then chief economist at the [UK Atomic Energy Authority](https://en.wikipedia.org/wiki/United_Kingdom_Atomic_Energy_Authority), argued that attempts to reduce energy consumption by increasing [energy efficiency](https://en.wikipedia.org/wiki/Efficient_energy_use) would simply raise demand for energy in the economy as a whole. Khazzoom focused on the narrower point that the potential for rebound was ignored in mandatory performance standards for domestic appliances being set by the [California Energy Commission](https://en.wikipedia.org/wiki/California_Energy_Commission).<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>14<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti15"><span>[</span>15<span>]</span></a></sup>

In 1992, the economist Harry Saunders dubbed the hypothesis that improvements in [energy efficiency](https://en.wikipedia.org/wiki/Efficient_energy_use) work to increase (rather than decrease) energy consumption the _Khazzoom–Brookes postulate_, and argued that the hypothesis is broadly supported by neoclassical [growth theory](https://en.wikipedia.org/wiki/Economic_growth) (the mainstream economic theory of [capital accumulation](https://en.wikipedia.org/wiki/Capital_accumulation), [technological progress](https://en.wikipedia.org/wiki/Technological_change) and [long-run](https://en.wikipedia.org/wiki/Long-run) economic growth). Saunders showed that the Khazzoom–Brookes postulate occurs in the [neoclassical growth model](https://en.wikipedia.org/wiki/Neoclassical_growth_model) under a wide range of assumptions.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>14<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>16<span>]</span></a></sup>

According to Saunders, increased [energy efficiency](https://en.wikipedia.org/wiki/Electrical_efficiency) tends to increase energy consumption by two means. First, increased energy efficiency makes the use of energy relatively cheaper, thus encouraging increased use (the direct rebound effect). Second, increased energy efficiency increases real incomes and leads to increased economic growth, which pulls up energy use for the whole economy. At the [microeconomic](https://en.wikipedia.org/wiki/Microeconomics) level (looking at an individual market), even with the rebound effect, improvements in energy efficiency usually result in reduced energy consumption.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>17<span>]</span></a></sup> That is, the rebound effect is usually less than 100%. However, at the [macroeconomic](https://en.wikipedia.org/wiki/Macroeconomics) level, more efficient (and hence comparatively cheaper) energy leads to faster economic growth, which increases energy use throughout the economy. Saunders argued that taking into account both microeconomic and macroeconomic effects, the technological progress that improves energy efficiency will tend to increase overall energy use.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>14<span>]</span></a></sup>

## Energy conservation policy

[[edit](https://en.wikipedia.org/w/index.php?title=Jevons_paradox&action=edit&section=4)]

Jevons warned that fuel efficiency gains tend to increase fuel use. However, this does not imply that improved fuel efficiency is worthless if the Jevons paradox occurs; higher fuel efficiency enables greater production and a higher material [quality of life](https://en.wikipedia.org/wiki/Quality_of_life).<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti18"><span>[</span>18<span>]</span></a></sup> For example, a more efficient steam engine allowed the cheaper transport of goods and people that contributed to the [Industrial Revolution](https://en.wikipedia.org/wiki/Industrial_Revolution). Nonetheless, if the Khazzoom–Brookes postulate is correct, increased fuel efficiency, by itself, will not reduce the rate of depletion of [fossil fuels](https://en.wikipedia.org/wiki/Fossil_fuel).<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>14<span>]</span></a></sup>

There is considerable debate about whether the Khazzoom-Brookes Postulate is correct, and of the relevance of the Jevons paradox to [energy conservation](https://en.wikipedia.org/wiki/Energy_conservation) policy. Most governments, environmentalists and NGOs pursue policies that improve efficiency, holding that these policies will lower resource consumption and reduce environmental problems. Others, including many [environmental economists](https://en.wikipedia.org/wiki/Environmental_economists), doubt this 'efficiency strategy' towards [sustainability](https://en.wikipedia.org/wiki/Sustainability), and worry that efficiency gains may in fact lead to higher production and consumption. They hold that for resource use to fall, efficiency gains should be coupled with other policies that limit resource use.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>5<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>16<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti19"><span>[</span>19<span>]</span></a></sup> However, other environmental economists argue that, while the Jevons paradox may occur in some situations, the empirical evidence for its widespread applicability is limited.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>20<span>]</span></a></sup>

The Jevons paradox is sometimes used to argue that [energy conservation](https://en.wikipedia.org/wiki/Energy_conservation) efforts are futile, for example, that more efficient use of oil will lead to increased demand, and will not slow the arrival or the effects of [peak oil](https://en.wikipedia.org/wiki/Peak_oil). This argument is usually presented as a reason not to enact environmental policies or pursue fuel efficiency (e.g. if cars are more efficient, it will simply lead to more driving).<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>21<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>22<span>]</span></a></sup> Several points have been raised against this argument. First, in the context of a mature market such as for oil in developed countries, the direct rebound effect is usually small, and so increased fuel efficiency usually reduces resource use, other conditions remaining constant.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>12<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>17<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>23<span>]</span></a></sup> Second, even if increased efficiency does not reduce the total amount of fuel used, there remain other benefits associated with improved efficiency. For example, increased fuel efficiency may mitigate the price increases, shortages and disruptions in the global economy associated with crude oil depletion.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>24<span>]</span></a></sup> Third, environmental economists have pointed out that fuel use will unambiguously decrease if increased efficiency is coupled with an intervention (e.g. a [fuel tax](https://en.wikipedia.org/wiki/Fuel_tax)) that keeps the cost of fuel use the same or higher.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>8<span>]</span></a></sup>

The Jevons paradox indicates that increased efficiency by itself may not reduce fuel use, and that [sustainable energy](https://en.wikipedia.org/wiki/Sustainable_energy) policy must rely on other types of government interventions as well.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>9<span>]</span></a></sup> As the imposition of conservation standards or other government interventions that increase cost-of-use do not display the Jevons paradox, they can be used to control the rebound effect.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>9<span>]</span></a></sup> To ensure that efficiency-enhancing technological improvements reduce fuel use, efficiency gains can be paired with government intervention that reduces demand (e.g. [green taxes](https://en.wikipedia.org/wiki/Ecotax), [cap and trade](https://en.wikipedia.org/wiki/Emissions_trading), or higher [emissions standards](https://en.wikipedia.org/wiki/Emissions_standard)). The [ecological economists](https://en.wikipedia.org/wiki/Ecological_economics)[Mathis Wackernagel](https://en.wikipedia.org/wiki/Mathis_Wackernagel) and [William Rees](<https://en.wikipedia.org/wiki/William_E._Rees_(academic)>) have suggested that any cost savings from efficiency gains be "taxed away or otherwise removed from further economic circulation. Preferably they should be captured for reinvestment in [natural capital](https://en.wikipedia.org/wiki/Natural_capital) rehabilitation."<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>8<span>]</span></a></sup> By mitigating the economic effects of government interventions designed to promote ecologically sustainable activities, efficiency-improving technological progress may make the imposition of these interventions more palatable, and more likely to be implemented.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>25<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>26<span>]</span></a></sup><sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>27<span>]</span></a></sup>

Increasing the yield of a crop, such as wheat, for a given area will reduce the area required to achieve the same total yield. However, increasing efficiency may make it more profitable to grow wheat and lead farmers to convert land to the production of wheat, thereby increasing land use instead.<sup><a href="https://en.wikipedia.org/wiki/Jevons_paradox?wprov=sfti1"><span>[</span>28<span>]</span></a></sup>
