---
{"dg-publish":true,"permalink":"/bookmarks/science-and-related/ancient-viral-dna-in-the-human-genome-linked-to-major-psychiatric-disorders/","tags":["body","brain","interesting","science","scientific"]}
---


[medicalxpress.com](https://medicalxpress.com/news/2024-05-ancient-viral-dna-human-genome.html)

King's College London

6–8 minutes

---

![IMG-20241106232535759.jpg|"DNA, which has a double-helix structure, can have many genetic mutations and variations. Credit: NIH"](/img/user/_resources/IMG-20241106232535759.jpg)

DNA, which has a double-helix structure, can have many genetic mutations and variations. Credit: NIH

New research led by King's College London has found that thousands of DNA sequences originating from ancient viral infections are expressed in the brain, with some contributing to susceptibility for psychiatric disorders such as schizophrenia, bipolar disorder, and depression.

The work appears in _Nature Communications_.

About 8% of our genome is comprised of sequences called Human Endogenous Retroviruses (HERVs), which are products of ancient viral infections that occurred hundreds of thousands of years ago. Until recently, it was assumed that these "fossil viruses" were simply junk DNA, with no important function in the body. However, due to advances in genomics research, scientists have now discovered where in our DNA these fossil viruses are located, enabling us to better understand when they are expressed and what functions they may have.

This new study builds upon these advances and is the first to show that a set of specific HERVs expressed in the human brain contribute to psychiatric disorder susceptibility, marking a step forward in understanding the complex genetic components that contribute to these conditions.

Dr. Timothy Powell, co-senior author on the study and Senior Lecturer at the Institute of Psychiatry, Psychology & Neuroscience (IoPPN), King's College London, said, "This study uses a novel and robust approach to assess how genetic susceptibility for psychiatric disorders imparts its effects on the expression of ancient viral sequences present in the modern human genome. Our results suggest that these viral sequences probably play a more important role in the human brain than originally thought, with specific HERV expression profiles being associated with an increased susceptibility for some psychiatric disorders."

The study analyzed data from large genetic studies involving tens of thousands of people, both with and without mental health conditions, as well as information from autopsy brain samples from 800 individuals, to explore how DNA variations linked to psychiatric disorders affect the expression of HERVs.

Although most genetic risk variants linked to psychiatric diagnoses impacted genes with well-known biological functions, the researchers found that some genetic risk variants preferentially affected the expression of HERVs. The researchers reported five robust HERV expression signatures associated with psychiatric disorders, including two HERVs that are associated with risk for schizophrenia, one associated with risk for both [bipolar disorder](https://medicalxpress.com/tags/bipolar+disorder/) and schizophrenia, and one associated with risk for depression.

Dr. Rodrigo Duarte, first author and Research Fellow at the IoPPN, King's College London, said, "We know that psychiatric disorders have a substantial genetic component, with many parts of the genome incrementally contributing to susceptibility. In our study, we were able to investigate parts of the genome corresponding to HERVs, which led to the identification of five sequences that are relevant to psychiatric disorders. While it is not clear yet how these HERVs affect [brain cells](https://medicalxpress.com/tags/brain+cells/) to confer this increase in risk, our findings suggest that their expression regulation is important for brain function."

Dr. Douglas Nixon, co-senior author on the study and and researcher at the Feinstein Institutes for Medical Research at Northwell Health, in the US, said, "Further research is needed to understand the exact function of most HERVs, including those identified in our study. We think that a better understanding of these ancient viruses, and the known genes implicated in [psychiatric disorders](https://medicalxpress.com/tags/psychiatric+disorders/), have the potential to revolutionize mental health research and lead to novel ways to treat or diagnose these conditions."

**More information:** Integrating human endogenous retroviruses into transcriptome-wide association studies highlights novel risk factors for major psychiatric conditions, _Nature Communications_ (2024). [DOI: 10.1038/s41467-024-48153-z](https://dx.doi.org/10.1038/s41467-024-48153-z)

**Citation**: Ancient viral DNA in the human genome linked to major psychiatric disorders (2024, May 22) retrieved 3 November 2024 from https://medicalxpress.com/news/2024-05-ancient-viral-dna-human-genome.html

This document is subject to copyright. Apart from any fair dealing for the purpose of private study or research, no part may be reproduced without the written permission. The content is provided for information purposes only.
